=== release 1.6.2 ===

2015-12-14  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.6.2

2015-11-26 23:11:36 +0530  Sebastian Dröge <sebastian@centricular.com>

	* Makefile.am:
	  bash-completion: Disable during "make distcheck" as this requires installing files outside the prefix
	  automake requires all files to be installed inside the prefix. bash-completion
	  requires the files to be in a specific directory given by a pkg-config file.
	  As such those two are having incompatible requirements and we just disable
	  bash-completion installation for the time being when running "make distcheck".
	  Nonetheless things like "make install" with e.g. a DESTDIR or a private
	  installation into a user's directory will fail as in both cases the
	  bash-completion data would be tried to be installed system-wide.

2015-11-26 22:42:45 +0530  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Revert "build: fix make distcheck."
	  This reverts commit 462727d6d825b6e67119e6b8ea47d9e18cc22bdf.
	  This "fix" broke the build on Windows, where both prefix and datadir are
	  absolute paths and as such we would concatenate two absolute paths and fail.

2015-11-21 00:23:02 +0100  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	* tests/check/Makefile.am:
	  tests: Properly setup GST_PLUGIN_PATH in test environement

2015-11-15 00:31:21 +0100  Thibault Saunier <tsaunier@gnome.org>

	* Makefile.am:
	  Dist gst-editing-services.doap

2015-11-05 11:16:31 +0100  Thibault Saunier <tsaunier@gnome.org>

	* .arcconfig:
	* ges/ges-audio-source.c:
	* ges/ges-smart-adder.c:
	  ges: Set restriction caps in the audio source caps filter
	  Otherwise we could have not negotiated errors in audiomixer when
	  the channel/channel-mask do not match
	  Differential Revision: https://phabricator.freedesktop.org/D493

2015-11-04 20:20:10 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-xml-formatter.c:
	  formatter: Do not serialize top effect priorities
	  We just need to make sure they are always serialized in the right
	  order (which is the case) and de serializing them will lead to the
	  right behaviour.
	  We should not serialize the priority as the priority of the source
	  itself depends on the action having been done on the parent clip,
	  and we do not serialize the source priorities (and should not, GES
	  should just do the right thing).
	  Differential Revision: https://phabricator.freedesktop.org/D491

2015-11-04 18:37:34 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launcher.c:
	  launcher: Make sure to not activate validate twice when simply loading a scenario

=== release 1.6.1 ===

2015-10-30 17:11:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.6.1

2015-10-07 23:57:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/gstframepositionner.c:
	  videosource: Force aspect-ratio=1/1 as compositor does not properly handle different values yet
	  Working around https://bugzilla.gnome.org/show_bug.cgi?id=756207 for 1.6
	  Fixes T3349

2015-09-27 15:15:10 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-title-source.c:
	  title-source: Force format with alpha channels out of videotestsrc
	  Making sure the user can set a background of the title with an alpha
	  channel.
	  Working around https://bugzilla.gnome.org/show_bug.cgi?id=755482 for
	  the 1.6 branch.

2015-10-07 09:57:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	  base-xml-formatter: properly handle GFile from wrong uri
	  Summary:
	  g_file_new_for_uri never fails so GFile always has valid pointer.
	  And fix a bug of double unref from D303.
	  Reviewers: thiblahute
	  Differential Revision: https://phabricator.freedesktop.org/D310

2015-09-30 17:26:31 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-project.c:
	  project: don't leak GFileInfo
	  https://bugzilla.gnome.org/show_bug.cgi?id=755862

2015-09-30 17:27:26 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-project.c:
	  project: fix a pointer for error message
	  https://bugzilla.gnome.org/show_bug.cgi?id=755862

2015-09-30 17:11:20 +0900  Justin Kim <justin.kim@collabora.com>

	* plugins/nle/nleoperation.c:
	  nleoperation: don't leak srcpad
	  https://bugzilla.gnome.org/show_bug.cgi?id=755860

2015-10-01 11:37:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-audio-track.c:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-extractable.c:
	* ges/ges-multi-file-source.c:
	* ges/ges-video-track.c:
	* ges/ges-xml-formatter.c:
	  don't leaks caps and converted strings
	  Summary:
	  Valgrind reports trivial leakages related to handling
	  objects and their converted strings.
	  Reviewers: thiblahute
	  Differential Revision: https://phabricator.freedesktop.org/D303

2015-09-24 01:30:09 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-structured-interface.c:
	  structured-interface: introduce TRY_GET_STRING
	  TRY_GET uses gst_structure_get. However, if boxed or
	  string pointer is retrieved by gst_structure_get,
	  it should be freed properly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755480

2015-09-28 13:21:11 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-structure-parser.c:
	* ges/ges-structure-parser.h:
	  structure-parser: define GES_STRUCTURE_PARSER macro
	  And fix trivial leakages of internal list structure.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755716

=== release 1.6.0 ===

2015-09-25 12:29:40 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.6.0

2015-09-24 13:21:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-container.c:
	* ges/ges-timeline.c:
	  ges: Avoid emitting 'child-added/removed' when signal emission stops addition
	  In the GESTimeline, TrackElement addition to a clip might get cancelled
	  (and thus the element gets removed), we need to make sure users do not
	  get wrong signals.
	  Also document the fact that user should connect to container::child-added
	  with g_signal_connect_after.

2015-09-22 23:10:35 +0900  Justin Kim <justin.kim@collabora.com>

	* plugins/nle/nlecomposition.c:
	* plugins/nle/nleobject.c:
	  nle{composition,object}: remove unused allocation & trivial leakages
	  nlecomposition allocates unused 'UpdateCompositionData' and it
	  causes leakages.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755417

2015-09-24 13:40:27 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-pipeline.c:
	  pipeline: don't leak GstPad
	  https://bugzilla.gnome.org/show_bug.cgi?id=755505

2015-09-24 13:42:16 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-pitivi-formatter.c:
	  pitivi-formatter: don't leak internal hash table
	  https://bugzilla.gnome.org/show_bug.cgi?id=755505

2015-09-23 21:23:13 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-transition.c:
	  video-transition: Make compositor background transparent
	  Allowing further mixing downstream

2015-09-23 21:12:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-transition.c:
	  video-transition: Add a framepositioner at the end of the transitio
	  So downstream compositor knows the zorder of the various streams

=== release 1.5.91 ===

2015-09-18 18:40:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.5.91

2015-09-18 10:01:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-track.c:
	* ges/ges-utils.c:
	  ges: Namespace NLE utils function into GES
	  Avoiding name clashes when built statically

2015-09-15 12:17:19 +0200  Thibault Saunier <tsaunier@gnome.org>

	* plugins/nle/nlesource.c:
	  nle: Avoid unsetting srcpad target after the srcpad is already freed
	  That leaded to segfaults

2015-09-15 11:08:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* plugins/nle/nleghostpad.c:
	  nle: Stop wrongly set operation segment base time
	  Inside the composition we actually do not need to have any notion
	  of what the timing outside the compositon as we already tweak the segment
	  base time outside the composition. This code was only there to work
	  around https://bugzilla.gnome.org/show_bug.cgi?id=753196
	  https://bugzilla.gnome.org/show_bug.cgi?id=754893

2015-09-11 16:18:46 +0900  Justin Kim <justin.kim@collabora.com>

	* plugins/nle/nlecomposition.c:
	  nlecomposition: don't leak internal hashtable
	  https://bugzilla.gnome.org/show_bug.cgi?id=754867

2015-09-11 16:13:19 +0900  Justin Kim <justin.kim@collabora.com>

	* plugins/nle/nleobject.c:
	  nleobject: don't leak srcpad when disposing
	  https://bugzilla.gnome.org/show_bug.cgi?id=754867

2015-09-11 16:11:40 +0900  Justin Kim <justin.kim@collabora.com>

	* ges/ges-timeline.c:
	  timeline: don't leak pad in private structure
	  https://bugzilla.gnome.org/show_bug.cgi?id=754867

2015-09-11 09:58:56 +0900  Justin Kim <justin.kim@collabora.com>

	* tools/ges-launcher.c:
	  ges-launcher: don't leak GError
	  https://bugzilla.gnome.org/show_bug.cgi?id=754858

2015-09-09 23:32:19 +0900  Justin Kim <justin.kim@collabora.com>

	* tools/ges-launcher.c:
	  ges-launcher: fix double free when argument is invalid
	  https://bugzilla.gnome.org/show_bug.cgi?id=754783

2015-09-04 12:01:16 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-source.c:
	  video-source: Use the priority being set to compute zorder

2015-09-02 23:27:16 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-transition.c:
	  video:transition: Set mixer pad zorder

2015-09-02 17:58:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-smart-video-mixer.c:
	* ges/ges-smart-video-mixer.h:
	* ges/ges-video-source.c:
	* ges/ges-video-transition.c:
	  video-source: Make sure to set framepositionner zorder when creating it
	  And fix a computation bug where we would be having mixing order
	  reversed between layers.
	  And make sure that the positionner does not mix up Transition handling
	  of the zorder

2015-08-27 16:28:42 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-source.c:
	* ges/gstframepositionner.c:
	  video-source: Simply set framepositionner->zorder = self->priority
	  Summary:
	  Making the code simpler and handling the transition case
	  where elements are in the same layer (which was failing
	  /setting same zorders until now).
	  Reviewers: Mathieu_Du
	  Differential Revision: https://phabricator.freedesktop.org/D237

2015-08-23 01:35:18 +1000  Jan Schmidt <jan@centricular.com>

	* configure.ac:
	  Use standard GST_PLUGIN_LDFLAGS for the nle plugin
	  Add the standard GST_PLUGIN_LDFLAGS to the configure.ac file.

2015-08-21 21:25:27 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Add support for static plugins builds

=== release 1.5.90 ===

2015-08-20 17:55:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.5.90

2015-08-19 11:24:11 +0200  Thibault Saunier <tsaunier@gnome.org>

	* .arcconfig:
	* Makefile.am:
	* configure.ac:
	* ges/Makefile.am:
	* ges/ges-internal.h:
	* ges/ges-track.c:
	* ges/ges-utils.c:
	* ges/ges.c:
	* ges/nle/.gitignore:
	* ges/nle/gnlmarshal.list:
	* ges/nle/nle.h:
	* ges/nle/nlecomposition.c:
	* ges/nle/nlecomposition.h:
	* ges/nle/nleghostpad.c:
	* ges/nle/nleghostpad.h:
	* ges/nle/nleobject.c:
	* ges/nle/nleobject.h:
	* ges/nle/nleoperation.c:
	* ges/nle/nleoperation.h:
	* ges/nle/nlesource.c:
	* ges/nle/nlesource.h:
	* ges/nle/nletypes.h:
	* ges/nle/nleurisource.c:
	* ges/nle/nleurisource.h:
	* plugins/Makefile.am:
	* plugins/nle/.gitignore:
	* plugins/nle/Makefile.am:
	* plugins/nle/gnlmarshal.list:
	* plugins/nle/gstnle.c:
	* plugins/nle/nle.h:
	* plugins/nle/nlecomposition.c:
	* plugins/nle/nlecomposition.h:
	* plugins/nle/nleghostpad.c:
	* plugins/nle/nleghostpad.h:
	* plugins/nle/nleobject.c:
	* plugins/nle/nleobject.h:
	* plugins/nle/nleoperation.c:
	* plugins/nle/nleoperation.h:
	* plugins/nle/nlesource.c:
	* plugins/nle/nlesource.h:
	* plugins/nle/nletypes.h:
	* plugins/nle/nleurisource.c:
	* plugins/nle/nleurisource.h:
	  Move NLE to a dedicated GstPlugin
	  Summary: Allowing external user to directly use it
	  Reviewers: Mathieu_Du
	  Differential Revision: https://phabricator.freedesktop.org/D231

2015-07-23 11:53:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nle: Enhance debug logging

2015-07-23 11:42:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	* ges/ges-track.c:
	  ges: Do not leak and uselessly create errors
	  And avoid parenthesis in GstObject names

2015-07-23 11:40:57 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: Fix how we handle layer vs layer-priority in the structured interface

2015-07-23 11:39:04 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/Makefile.am:
	* tests/check/ges/clip.c:
	  tests: Do not use gst-structured-interface in the tests
	  It breaks $ make distcheck

2015-07-16 17:26:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-editing-services.doap:
	  Update mailing list in doap file

2015-07-16 10:54:54 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  timeline: Remove transitions that can no fit into an auto transition
	  When activating auto transition mode

2015-07-16 10:53:17 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	  ges; Minor debug enhancement

2015-07-13 13:48:40 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-asset.c:
	  assets: Avoid deadlock when done initialising asset
	  Avoid to hold the CACHE lock when setting the GTasks return values.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=752300

2015-07-08 18:59:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	* ges/nle/nleobject.h:
	  nleobject: Concider objects as 'inactive' when they have a duration == 0

2015-07-08 18:59:00 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	  track-element: Handle the case where we have only one keyframe set when interpollating keyframes

2015-07-06 10:24:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-asset.c:
	* ges/ges-internal.h:
	* tests/check/ges/uriclip.c:
	  asset: Port use of deprecated GSimpleAsyncResult to GTask

2015-07-03 22:00:08 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f74b2df to 9aed1d7

2015-07-03 13:49:57 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	* tests/check/Makefile.am:
	* tests/check/ges/clip.c:
	  track-element: Fix splitting bindings and add unit tests

2015-07-01 18:33:39 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  structured-interface: Better handle CLOCK_TIME type from GstStructures

2015-06-29 18:04:32 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-group.c:
	* ges/ges-internal.h:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-track-element.c:
	  element: Implement a paste method
	  Allowing user to copy paste clips very easily

2015-06-23 16:11:26 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	* ges/gstframepositionner.c:
	* tests/check/ges/layer.c:
	  timeline: Disable movement that lead to 2 transition at a position
	  We should never let 3 objects to overlap at a same position, for that
	  we introduce a "rollback" feature and whenever such an editing happens,
	  we rollback object position to whatever it was before the move.

2015-06-23 19:19:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-smart-video-mixer.c:
	  smart-video-mixer: Always keep a ref on the mixer pad

2015-06-23 13:27:00 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-container.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-track-element.c:
	  timeline-element: Add a method to get the TrackType it interacts with
	  API:
	  + ges_timeline_element_get_track_types

2015-06-19 11:08:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-timeline.c:
	  timeline: Never create transitions between rippled objects
	  In case of groups, we can have track elements that do not belong
	  directly to the moved_trackelements but will be moved as others. Never
	  create transition to all object that have a start > moving group start.

2015-06-16 17:07:40 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-smart-video-mixer.c:
	* ges/ges-smart-video-mixer.h:
	* ges/ges-video-transition.c:
	  video-transition: Use a SmartMixer as mixer
	  So that the frame position metas are parsed and taken into account

2015-06-16 15:02:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-pipeline.c:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	  track-element: Add method to remove control binding
	  API:
	  ges_track_element_remove_control_binding

2015-06-16 13:25:32 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	* ges/ges-xml-formatter.c:
	  ges: Handle absolute GstDirectControlBindings

2015-06-13 18:48:20 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-smart-video-mixer.c:
	* ges/gstframepositionner.c:
	* ges/gstframepositionner.h:
	  framepositionner: Make use of the new CompositorPad.width/height
	  So that the scaling is done in the compositor and this way we can cleanly interpolate its value

2015-07-03 09:19:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	* tests/check/ges/group.c:
	* tests/check/ges/timelineedition.c:
	  timeline: Never change output media time when trimming start
	  + Fix testsuite
	  https://bugzilla.gnome.org/show_bug.cgi?id=638802

2015-07-03 09:16:50 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	* tests/check/ges/timelineedition.c:
	  track-element: Return right value when editing
	  We used to always return TRUE which was wrong
	  + Fix testsuite and remove randomness from the tests

2015-07-01 17:28:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-pipeline.c:
	* ges/ges-track.c:
	  ges: Do not add a final gap at the end of track while rendering
	  It is not correct to force a black frame at the end of the rendered
	  video and it also leads to rendering issue with vpX encoders.
	  https://bugzilla.gnome.org/show_bug.cgi?id=751510

2015-07-01 11:35:42 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	* ges/nle/nlecomposition.c:
	  clip: Use container priority offset when setting children prios
	  Instead of trying to compute it ourself which might lead to wrong
	  behaviour when moving between layer.
	  + Make sure that when we reset clip children priority (to make space
	  for effects,) we update the container knowledge of priority offsets

2015-06-30 23:13:28 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	  clip: Fix track element priority computation
	  We were computing the priority offset taking the global MIN_NLE_PRIO
	  (which is a constant == 2 to make space for the mixing elements) instead
	  of the layer 'track element' relative priority, leading to very big
	  offsets on layer with a prio > 0. In the end it leaded to effects having
	  the same priority as the sources which leads to an undefined behaviour
	  in NLE.

2015-06-24 09:06:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	  uri-asset: Bump the discoverer timeout to 1 minute
	  We should by default avoid false timeouts

2015-06-22 01:52:39 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track.c:
	  track: Give usefull name to compositions

2015-06-25 11:03:12 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	* ges/nle/nleobject.c:
	* tests/check/nle/common.c:
	  nle: Port tests to the "commit" action signals
	  Now that nle_object_commit symbol is hidden, we can't use it
	  in the tests.

2015-06-25 10:32:46 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* docs/random/lifecycle:
	* docs/random/scenarios:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	  ges: Unbreeak API after renaming of GNL to NLE

2015-06-25 10:28:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-auto-transition.h:
	* ges/ges-internal.h:
	* ges/ges-structure-parser.h:
	* ges/gstframepositionner.h:
	  ges: Hide more symbols of headers that are not installed

2015-06-25 10:25:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ges/nle/nlecomposition.c:
	  nle: Remove unused function
	  nle/nlecomposition.c:2471:1: error: unused function '_parent_or_priority_changed' [-Werror,-Wunused-function]
	  _parent_or_priority_changed (NleObject * obj, GNode * oldnode,
	  ^

2015-06-25 10:24:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* ges/nle/nlecomposition.h:
	* ges/nle/nleghostpad.h:
	* ges/nle/nleobject.h:
	* ges/nle/nleoperation.h:
	* ges/nle/nlesource.h:
	* ges/nle/nleurisource.h:
	  nle: Hide away symbols, they're supposed to be internal

2015-06-24 17:55:22 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.5.2 ===

2015-06-24 17:44:04 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.5.2

2015-06-23 09:41:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ges/nle/nlesource.c:
	  nlesource: remove outdated comment

2015-06-16 17:50:38 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6015d26 to f74b2df

2015-06-10 17:54:20 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Handle rendering with disabled tracks
	  Summary:
	  The user might want to render only some media type of the timeline,
	  for example he wants to only render the audio part of the timeline.
	  It was failing as we were not connecting the track but were still trying
	  to 'render' it.
	  Depends on D153
	  Reviewers: Mathieu_Du
	  Reviewed By: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D154

2015-06-09 21:00:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	* tools/ges-launcher.c:
	  ges: Raise an error when the discoverer returns != RESULT_OK
	  And do not try to run the pipeline when that happens

2015-06-09 20:58:00 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	  uri-asset: Add a way to control discoverer timeout through envvar
	  Making it possible to run ges-launch test under valgrind for example

2015-06-09 12:23:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/ges-validate.c:
	  ges-launch: don't print random position/duration values at startup

2015-06-09 11:30:59 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d9a3353 to 6015d26

2015-06-08 23:08:40 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From d37af32 to d9a3353

2015-06-07 23:07:40 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 21ba2e5 to d37af32

2015-06-07 17:32:34 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c408583 to 21ba2e5

2015-06-07 17:16:53 +0200  Stefan Sauer <ensonic@users.sf.net>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From d676993 to c408583

2015-06-05 19:59:08 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  timeline: Never snap end when rippling
	  http://phabricator.freedesktop.org/T74

2015-06-05 19:58:16 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  timeline: Never create transition between elements inside the moving context
	  http://phabricator.freedesktop.org/T74

2015-06-05 18:49:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	* ges/ges-group.c:
	* ges/ges-group.h:
	  group: Disconnect from old layer notify::priority when a clip is moved to a NULL layer
	  This means we need to properly track the layer a clip was in. We now
	  keep track of the various signal IDs in a dedicated structure and
	  keep a ref on the layer an object is in.
	  http://phabricator.freedesktop.org/T88

2015-06-03 14:56:11 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launcher.c:
	* tools/ges-validate.c:
	  tools: Exit the app as it is a simgle instance app
	  And force exiting GstValidate when wanted

2015-06-01 13:05:25 +0100  Luis de Bethencourt <luis.bg@samsung.com>

	* ges/ges-structured-interface.c:
	  ges: remove dead code
	  Summary:
	  No need to recheck if error exists since it has already been checked by the
	  conditional above.
	  Coverity CID #1302832
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D200

2015-05-31 14:16:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-auto-transition.c:
	* ges/ges-auto-transition.h:
	* ges/ges-clip.c:
	* ges/ges-timeline.c:
	* tests/check/ges/layer.c:
	  ges: Handle trimming auto transitions
	  Meaning trimming neighbors.
	  + And add a test

2015-05-29 15:15:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  timeline: Use a simple GList to track auto transitions

2015-01-12 13:05:30 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Do not fail when removing/adding child without commiting
	  Summary:
	  We use to end up removing the nleobject when the following case happened:
	  * add an object
	  * remove that object
	  * re add the object
	  * commit the composition
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D193

2015-05-19 18:18:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-layer.c:
	  timeline: Minor documentation addition

2015-05-18 21:24:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-formatter.c:
	* ges/ges-meta-container.h:
	* ges/ges-xml-formatter.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-project.xges:
	* tests/check/ges/test-utils.c:
	  ges: Enhance xges format versioning
	  Summary:
	  Handle the fact that some new features can be added and that means
	  generated files will not be fully understandable by older versions of
	  the formatter.
	  Make sure that we set the format version to 0.2 when we serialize the
	  GstEncodingProfile.enabled property.
	  Add some tests around that.
	  + Fix a minor bug in the test-utils
	  + Add a meta on the projects to tell in what format version a project
	  has been serialized/parsed back
	  API:
	  GES_META_FORMAT_VERSION
	  Depends on D178
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D184

2015-05-14 11:12:20 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: If last added clip is not in a layer, get the first layer
	  Summary:
	  In case we just removed it from its layer, make sure to
	  just use the first layer when none specified.
	  Depends on D177
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D178

2015-05-14 11:11:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	* ges/ges-validate.c:
	  ges: Fix some error settings
	  Summary: Depends on D176
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D177

2015-05-14 11:10:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges:structured-interface: Use GET_AND_CHECK in more places
	  Summary:
	  Giving more details about the issue to the user
	  Depends on D151
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D176

2015-05-07 10:52:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-xml-formatter.c:
	  xml-formatter: De/serialize whether encoding profiles are enabled or not
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D151

2015-04-26 18:22:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Android.mk:
	* ges/Makefile.am:
	* tools/Makefile.am:
	  Remove obsolete Android build cruft
	  This is not needed any longer.

2015-04-23 20:20:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  Update .gitignore

2015-04-22 15:07:58 +0200  Edward Hervey <edward@centricular.com>

	* tools/utils.c:
	  tools: Fix string leak
	  Only allocate the return string when we know we are going to return
	  it.
	  Coverity CID #1292292

2015-04-22 10:39:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* INSTALL:
	  Remove INSTALL file
	  autotools automatically generate this, and when using different versions
	  for autogen.sh there will always be changes to a file tracked by git.

2015-04-21 11:24:38 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	  ges:xml-formatter: Call g_markup_parse_context_end_parse
	  Summary:
	  Otherwise the parser context will never know that is all the XML it
	  will receive and fail out if the XML document is not valid (in that
	  case if it does not end)
	  https://bugzilla.gnome.org/show_bug.cgi?id=746354
	  Reviewers: Mathieu_Du
	  Reviewed By: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D38

2015-04-20 17:42:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  ges: Add debug output when get_element returns NULL

2015-04-15 12:18:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launcher.c:
	  tools:launch: Print out the timeline description as an INFO not an ERROR

2015-04-15 12:18:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launcher.c:
	  tools:launch: clean user facing message on wrong timeline description
	  Summary:
	  Before:
	  $ ../gst-editing-services/tools/ges-launch-1.0 -p
	  0:00:00.028629728  8155      0x17e1b60 ERROR                default ges-launcher.c:214:_create_timeline: serialized timeline is   -p
	  ** (lt-ges-launch-1.0:8155): ERROR **: Could not create timeline, error: Could not find a suitable formatter
	  [1]    8155 trace trap (core dumped)  ../gst-editing-services/tools/ges-launch-1.0 -p
	  $
	  After:
	  $ GST_DEBUG=0 ges-launch-1.0 -p
	  ERROR: Could not create timeline, error: Could not find a suitable formatter
	  $
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D95

2015-04-08 23:33:27 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/nle/nleobject.c:
	* tests/check/nle/common.c:
	  nleobject: It is wrong to update object->stop in set_property.
	  Summary: It must only be done when the object is commited.
	  We can do that in constructed though, as the changes will
	  anyway be commited when the object is added to a composition.
	  Also update the tests, as we set properties spearately then
	  check the stop, we can commit the source at its creation without
	  removing meaning from the tests.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D84

2015-04-08 21:38:48 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-track.c:
	  timeline, track: Emit commited at the correct moment.
	  Summary:
	  + [API] GESTrack::commited signal.
	  + [API] ges_track_commit_sync
	  We were emitting commited when timeline_commit was called, which
	  wasn't very helpful. This commit makes it so we emit commited once
	  all the compositions have actually been commited.
	  We also add a synchronous commit method to spare the user
	  the need to connect to the signal and wait, and update the
	  documentation.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D83

2015-04-07 22:48:27 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-layer.c:
	  layer: call timeline_element_set_timeline in layer_set_timeline.
	  Summary:
	  Otherwise if there was still a reference to the layer when it
	  is removed from the timeline, it fails when the last reference
	  is released, because timeline_element_set_timeline calls
	  timeline_remove_element, which tries to remove the element from
	  an already disposed hashtable.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D82

2015-04-08 17:05:19 +0200  Edward Hervey <edward@centricular.com>

	* common:
	* tests/check/Makefile.am:
	  tests: Use AM_TESTS_ENVIRONMENT
	  Needed by the new automake test runner

2015-04-03 17:38:53 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* data/completions/ges-launch-1.0:
	* ges/ges-command-line-formatter.c:
	* ges/ges-structure-parser.c:
	* ges/ges-structured-interface.c:
	* ges/parse.l:
	* tools/ges-launch.c:
	  ges-launch: Add support for +test-clip
	  Summary: With the pattern as a mandatory argument.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D68

2015-04-03 16:48:03 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-project.c:
	  ges-project: Surface a meaningful error when no suitable formatter.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D67

2015-04-03 15:35:54 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launcher.c:
	  ges-launch: Add a save-only option.
	  Summary: + Allows to serialize the timeline without playing it back.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D66

2015-04-03 18:58:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From bc76a8b to c8fb372

2015-03-31 14:26:19 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-timeline-element.c:
	  timeline-element: Disconnect child properties handlers.
	  Summary:
	  + And freeze notifies while doing so.
	  We had a race with GstController which isn't MT safe, we can
	  fix it by propertly disconnecting signals, and making sure
	  no notifies are emitted while doing so.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D64

2015-03-30 18:41:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-track.c:
	  track: Set any caps features on tmpcaps.
	  Summary: Before checking if we have a specific constructor for a track type.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D63

2015-03-31 15:29:49 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-pipeline.c:
	  pipeline: no reason to disconnect a pad that is NULL anyway.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D62

2015-03-25 15:43:16 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/validate/geslaunch.py:
	* tools/ges-launcher.c:
	  ges-launch: Better document options.
	  + Sort them by topic
	  + remove --sample-paths and --sample-paths-recurse.
	  http://phabricator.freedesktop.org/D58

2015-03-24 14:13:54 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/Makefile.am:
	* tools/ges-launch.c:
	* tools/ges-launcher.c:
	* tools/ges-launcher.h:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	* tools/utils.c:
	* tools/utils.h:
	  ges-launch: port to GApplication
	  Summary: + Extract some utility functions.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D55

2015-03-25 12:25:54 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/Makefile.am:
	  build: no reason to introspect nodist sources.
	  Summary: g-ir-scanner was erroring like crazy on the generated sources.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D57

2015-03-25 12:22:43 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-pitivi-formatter.c:
	  ges-pitivi-formatter: Don't flood stdout with alarming conclusions.
	  Reviewers: thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D56

2015-03-23 12:27:56 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* data/completions/ges-launch-1.0:
	  completions: port to new base gst script

2015-03-24 17:13:20 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* data/completions/ges-launch-1.0:
	  completions: Fix completions after the first command.

2015-03-24 13:01:39 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	  Revert "ges-launch: no need for a tmp string pointer"
	  This reverts commit 44a0924c1f6b07f0c91ee8bd03d3ae5d97da92d5.
	  There indeed is a need for a tmp string pointer.

2015-03-24 11:21:08 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* tools/ges-launch.c:
	  ges-launch: no need for a tmp string pointer

2015-03-24 11:19:09 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* tools/ges-launch.c:
	  ges-launch: free string before going out of scope
	  CID #1291632

2015-02-26 17:08:43 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/Makefile.am:
	  build: fix make distcheck.

2015-03-17 18:25:02 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-project.c:
	* ges/ges-structured-interface.c:
	  ges: Do not clear potentially NULL errors
	  And avoid dereferencing NULL errors

2015-03-13 12:02:30 +0000  Thibault Saunier <tsaunier@gnome.org>

	* data/completions/ges-launch-1.0:
	* ges/ges-structure-parser.c:
	* ges/parse.l:
	  ges-launch: Prefix clip, transition and effect instruction with a +
	  Slightly changing the CLI so that we have indicators of the timeline
	  commands adding new objects.

2015-03-01 13:10:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: Accept path as URI in the create clip structured interface

2015-02-26 13:49:23 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	  ges-launch: Remove useless options, rename some short options.

2015-02-26 13:19:25 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* data/completions/ges-launch-1.0:
	* tools/ges-launch.c:
	  bash-completion: Add support for new ges-launch commands.

2015-02-25 18:01:38 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-structure-parser.c:
	* ges/parse.l:
	  parse.l: Modify command arguments.
	  + --clip uri=file:// becomes clip file:// for example.

2015-02-23 17:41:59 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-command-line-formatter.c:
	* ges/ges-structure-parser.c:
	* ges/ges-structure-parser.h:
	* ges/ges-structured-interface.c:
	* ges/ges-structured-interface.h:
	* ges/ges-validate.c:
	* tools/ges-launch.c:
	  ges: command-line-formatter: Properly error out on invalid arguments

2015-02-23 14:48:18 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/Makefile.am:
	* ges/ges-command-line-formatter.c:
	* ges/ges-command-line-formatter.h:
	* ges/ges-formatter.c:
	* ges/ges-formatter.h:
	* ges/ges-internal.h:
	* ges/ges-project.c:
	* ges/ges-project.h:
	* ges/ges-structure-parser.c:
	* ges/ges-structure-parser.h:
	* ges/ges-structured-interface.h:
	* ges/ges.c:
	* ges/ges.h:
	* ges/parse.l:
	* tools/Makefile.am:
	* tools/ges-launch.c:
	* tools/ges-structure-parser.c:
	* tools/ges-structure-parser.h:
	* tools/parse.l:
	  ges: Factor out a GESCommandLineFormatter class
	  This formatter will allow any user to deserialize a timeline using
	  the new ges-launch command line interface

2015-02-23 00:53:14 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-structured-interface.c:
	* ges/ges-validate.c:
	  structured-interface: Be clever when no layer priority specified.
	  And add the new element to the same layer as the last clip that
	  was added, insted of adding to the last layer of the timeline
	  (and with the current code, actually adding a new layer each time)

2015-02-21 15:30:57 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-structured-interface.c:
	  ges-structured-interface: fix build

2015-02-20 12:26:54 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: Automatically put clips at the end of layer if no start specified
	  In the 'structured' interface we should add it at the end of the layer
	  And make use of the new ges_timeline_get_layer API

2015-02-19 19:29:36 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-structured-interface.c:
	* tools/ges-launch.c:
	  structure-interface: rename layer-priority to layer.
	  + And add a short name for it in ges-launch.

2015-02-20 12:12:52 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: Add layer up to the wanted layer priority in the structure interface
	  Making the thing easier to use

2015-02-19 19:16:44 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-structure-parser.c:
	* tools/parse.l:
	  ges-launch: parse property names longer than 1 char.
	  + And finish the previous structure when encountering a setter.

2015-02-19 13:15:25 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-structure-parser.c:
	* tools/ges-structure-parser.h:
	* tools/parse.l:
	  ges-launch: Update lexer / parser to handle set-*
	  + cleanup of the lexer

2015-02-19 18:28:41 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-structure-parser.c:
	  tools: Implement a new CLI interface for the timeline creation

2015-02-19 12:34:21 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-structured-interface.c:
	  ges: Handle setting child property on container directly in the structured based interface

2015-02-19 11:28:48 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/parse.l:
	  launcher: Add support to --set-property in the parser

2015-02-19 08:51:20 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* .gitignore:
	* configure.ac:
	* tools/Makefile.am:
	* tools/ges-launch.c:
	* tools/ges-structure-parser.c:
	* tools/ges-structure-parser.h:
	* tools/parse.l:
	  ges-launch: Implement a new parser for the commandline.
	  Summary: + flex-based lexing and manual simplistic parsing.
	  Test Plan: Use that stuff to make awesome things, see if it breaks.

2015-02-17 23:48:12 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/Makefile.am:
	* ges/ges-structured-interface.c:
	* ges/ges-structured-interface.h:
	* ges/ges-validate.c:
	  ges: Add an internal GstStructure based interface
	  To be use by GstValidate action and ges-launch
	  Reviewers: Mathieu_Du, thiblahute
	  Differential Revision: http://phabricator.freedesktop.org/D42

2015-03-19 09:32:25 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	  ges: Fix build for older GLib
	  The return type of g_hash_table_insert changed from void to boolean

2015-02-19 18:19:44 +0100  Thibault Saunier <tsaunier@gnome.org>

	* .arcconfig:
	* ges/ges-container.c:
	  container: implement children property handling

2015-02-19 16:30:18 +0100  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* tests/check/ges/effects.c:
	* tests/check/ges/project.c:
	* tests/check/ges/timelineedition.c:
	  ges: Move the notion of children properties to GESTimelineElement
	  Summary:
	  Deprecate the old GESTrackElement children property handling API.
	  New APIs:
	  * ges_timeline_element_list_children_properties
	  * ges_timeline_element_lookup_child
	  * ges_timeline_element_get_child_property_by_pspec
	  * ges_timeline_element_get_child_property_valist
	  * ges_timeline_element_get_child_properties
	  * ges_timeline_element_set_child_property_valist
	  * ges_timeline_element_set_child_property_by_pspec
	  * ges_timeline_element_set_child_properties
	  * ges_timeline_element_set_child_property
	  * ges_timeline_element_get_child_property
	  * ges_timeline_element_add_child_property
	  * ges_timeline_element_remove_child_property
	  Deprecated APIs:
	  * ges_track_element_list_children_properties
	  * ges_track_element_lookup_child
	  * ges_track_element_get_child_property_by_pspec
	  * ges_track_element_get_child_property_valist
	  * ges_track_element_get_child_properties
	  * ges_track_element_set_child_property_valist
	  * ges_track_element_set_child_property_by_pspec
	  * ges_track_element_set_child_properties
	  * ges_track_element_set_child_property
	  * ges_track_element_get_child_property
	  * ges_track_element_add_child_property
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D40

2015-02-20 12:24:49 +0100  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	  timeline: Add API to find a layer with a specific priority in a timeline
	  Summary:
	  API:
	  * ges_timeline_get_layer
	  Test Plan: Nan
	  Reviewers: mathieu.duponchelle

2015-02-20 12:24:49 +0100  Thibault Saunier <tsaunier@gnome.org>

	* .arcconfig:
	* docs/libs/ges-sections.txt:
	* ges/ges-container.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* tests/check/ges/effects.c:
	* tests/check/ges/project.c:
	* tests/check/ges/timelineedition.c:
	  Revert "ges: Move the notion of children properties to GESTimelineElement"
	  I got some trouble with
	  arc land
	  and I wanted to push the 3 commit coming after this revert as 3
	  different commits but they ended up being all squash into one single
	  commit, which is clearly not cool for later bisecting and blaming.
	  Reverting that commit and re pushing those 3 commits as they were
	  supposed to be.
	  This reverts commit 9fe15ef4354dc1d878dbdec80908ac8541bc6131.

2015-03-18 20:23:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* .arcconfig:
	* docs/libs/ges-sections.txt:
	* ges/ges-container.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* tests/check/ges/effects.c:
	* tests/check/ges/project.c:
	* tests/check/ges/timelineedition.c:
	  ges: Move the notion of children properties to GESTimelineElement
	  Summary:
	  Deprecate the old GESTrackElement children property handling API.
	  New APIs:
	  * ges_timeline_element_list_children_properties
	  * ges_timeline_element_lookup_child
	  * ges_timeline_element_get_child_property_by_pspec
	  * ges_timeline_element_get_child_property_valist
	  * ges_timeline_element_get_child_properties
	  * ges_timeline_element_set_child_property_valist
	  * ges_timeline_element_set_child_property_by_pspec
	  * ges_timeline_element_set_child_properties
	  * ges_timeline_element_set_child_property
	  * ges_timeline_element_get_child_property
	  * ges_timeline_element_add_child_property
	  * ges_timeline_element_remove_child_property
	  Deprecated APIs:
	  * ges_track_element_list_children_properties
	  * ges_track_element_lookup_child
	  * ges_track_element_get_child_property_by_pspec
	  * ges_track_element_get_child_property_valist
	  * ges_track_element_get_child_properties
	  * ges_track_element_set_child_property_valist
	  * ges_track_element_set_child_property_by_pspec
	  * ges_track_element_set_child_properties
	  * ges_track_element_set_child_property
	  * ges_track_element_get_child_property
	  * ges_track_element_add_child_property
	  Reviewers: Mathieu_Du
	  Reviewed By: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D40

2015-03-01 21:13:35 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-types.h:
	  ges: Remove all reference to already dead GESSimpleLayer

2015-03-05 13:53:15 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ges/ges-project.c:
	  project: remove unnecessary dereference
	  g_clear_error() already dereferences the error pointer, no need to manually
	  check and do it.
	  CID #1257630

2015-03-03 14:26:40 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* tests/examples/test4.c:
	  examples: check argument is valid

2015-02-27 01:26:24 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-base-xml-formatter.c:
	  ges-base-xml-formatter: fix setting of child properties
	  Make sure all child properties get set. GstStructureForeachFunc
	  takes a gboolean return value that decides whether to
	  continue or not.

2015-02-27 01:22:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-meta-container.c:
	  ges-meta-container: fix ges_meta_container_foreach()
	  Really call function on all metadata inside the container
	  instead of stopping randomly. GstStructureForeachFunc
	  takes a gboolean return value.

2015-02-26 20:14:31 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	  ges-base-xml-formatter: fix property setting
	  GstStructureForeachFunc has a gboolean return value,
	  and the foreach function will stop unless we return
	  TRUE here. This meant it was potluck whether all
	  properties in the structure got set or not.
	  Fixes setting of text overlay clip text property
	  in particular.
	  https://bugzilla.gnome.org/show_bug.cgi?id=743874

2015-02-24 18:00:34 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* configure.ac:
	  build: fix make distcheck.
	  And install bash-completions in the supplied prefix.

2015-02-20 15:22:25 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* Makefile.am:
	* configure.ac:
	* data/completions/ges-launch-1.0:
	  ges-launch: enable auto-completion.
	  Summary: + And be a little smart about it.
	  Test Plan: New feature, working, not testing bash completion
	  Reviewers: tsaunier
	  Differential Revision: http://internal.opencreed.com:8888/D25

2015-02-20 13:51:47 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track.c:
	  ges: Always set ANY capsfeatures on tracks caps property
	  Summary:
	  We should not restrict the CapsFeatures on the track caps.
	  If someone want to do such a restriction he should add it to
	  the restriction caps directly
	  Test Plan: Run testsuite
	  Reviewers: mathieu.duponchelle

2015-02-19 17:33:12 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-project.c:
	  ges-project: no need to commit an empty timeline.
	  Summary: Can lead to deadlocks if the user commits at the same time.
	  Test Plan: Ran make check, it worked
	  Reviewers: tsaunier

2015-02-10 10:29:39 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ges/ges-track.c:
	  ges: initialize timeline_duration value
	  If priv->timeline is False the function does not set any value for
	  timeline_duration before using it in gap_new (). Initialize the value to aviod
	  unexpected behaviour.
	  CID #1268405

2015-02-06 10:01:14 +0100  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  configure: Bump our Gst related dependencies to 1.5.0.1

2015-02-04 15:21:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Properly protect the children task

2015-02-03 12:02:42 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-track.c:
	* ges/nle/nlecomposition.c:
	* tests/check/nle/common.c:
	* tests/check/nle/nlecomposition.c:
	  Cleanly handle removing the last object in a composition
	  The strategy here is to seek at the new end of the composition. And in
	  GES we always add a 1ns long gap at the end of the tracks so that all
	  track have the exact same duration, and we have black frames when the
	  timeline is empty

2015-02-02 11:57:19 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-validate.c:
	  validate: Do not wrongly set clip duration for UriClips
	  That was making no sense at all....

2015-01-12 13:04:16 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-validate.c:
	  validate: Properly expose the commit action as ASYNC

2015-01-27 21:16:05 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-layer.c:
	  layer: Remove child from children list before emitting "child-removed"

2015-01-26 18:25:02 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ges/nle/nlecomposition.c:
	  ges: remove useless gpointer variable
	  gpointer useless is indeed useless since we can use GST_DEBUG_REGISTER_FUNCPTR
	  to avoid having to store the return of the GST_DEBUG_FUNCPTR registration.
	  CID #1265771

2015-01-26 17:46:36 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ges/ges-timeline.c:
	  ges: merge MIN() and MAX() into CLAMP()
	  Merge the usage of MIN() and MAX() into one CLAMP() function.
	  CID #1265770

2015-01-24 10:54:13 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges.c:
	  ges: Make sure the GESTextOverlayClip is register on init
	  So it can be used when de serializing projects containing it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=743406

2015-01-12 16:14:32 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f2c6b95 to bc76a8b

2014-12-18 10:56:54 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From ef1ffdc to f2c6b95

2014-12-13 15:13:32 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Avoid trying to remove a signal handler that has already been removed

2014-12-12 12:02:41 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	  uri-asset: Check that the newly computed URI exist
	  No the one we know failed!

2014-12-10 10:21:16 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-project.c:
	* ges/ges-validate.c:
	  validate: Add an action type to load a project from its content

2014-12-06 10:41:25 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-track.c:
	  Revert "track: [API]: ges_track_update_restriction_caps."
	  This reverts commit e9544ce1d67da6990f0a1cae75774063ec37be9d.
	  This commit should never have landed we decided we do not want to do
	  that.

2014-12-01 00:38:07 +0100  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	  timeline: Add a method to easily check if a timeline is empty
	  API:
	  + ges_timeline_is_empty

2014-12-01 00:34:38 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-group.c:
	* ges/ges-timeline.c:
	* tests/check/ges/group.c:
	  ges: Recompute Group priority when one of its clip.layer change priority
	  And add a unit test for that case where it was previously failing

2014-11-29 01:12:43 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tests/validate/geslaunch.py:
	  validate: Start using the new testsuite based API from GstValidate

2014-11-26 00:28:35 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-video-track.c:
	  track: [API]: ges_track_update_restriction_caps.
	  + And specify default restriction caps for audio and video tracks.
	  + Add ges_track_set_restriction_caps to the sections, it was missing.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740726

2014-11-25 23:35:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/Makefile.am:
	* tests/check/ges/integration.c:
	  tests: Remove integration tests, GstValidate is the way forward!

2014-11-25 19:15:52 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tests/validate/geslaunch.py:
	* tools/ges-launch.c:
	  validate: Handle long tests in the TestManager
	  + Minor bug fixes

2014-11-25 19:14:59 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Minor debug enhancements

2014-11-25 19:13:02 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Expose playsink::video-filter and playsink::audio-filter
	  That can be used to add filters at the very end of the pipeline,
	  and one can think of adding a watchdog element in there for
	  example.

2014-11-25 18:46:03 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Dot not check for chain->tee twice

2014-11-21 19:53:52 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-validate.c:
	* tools/ges-validate.c:
	  validate: Avoid depending on not stable APIs
	  And cleanup includes

2014-11-21 19:53:36 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-validate.c:
	  validate: Move to new action type registration API

2014-11-16 20:07:24 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-validate.c:
	  validate: Add missing action execution printing

2014-11-16 20:05:25 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	  timeline-element: Properly handle setting name to NULL

2014-11-04 15:38:05 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-pipeline.c:
	* ges/ges-track.c:
	* ges/nle/nlecomposition.c:
	  nlecomposition: Add a 'query-position' signal
	  In order to get the precise position of the pipeline, the only
	  way is to ask the 'application' to query the pipeline position and
	  use it.

2014-11-03 12:18:35 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-project.c:
	* ges/ges-project.h:
	* ges/ges-uri-asset.h:
	* ges/ges.c:
	* tools/ges-launch.c:
	  ges: Keep backward compatibility for relocated assets CLI
	  Meaning adding an API for user to add relacation URI paths
	  API:
	  ges_add_missing_uri_relocation_uri

2014-11-03 12:17:42 +0100  Thibault Saunier <tsaunier@gnome.org>

	* .gitignore:
	  Add some ignore files to .gitignore

2014-11-03 11:59:32 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges.c:
	* ges/ges.h:
	  ges: Add a method to pass argc/argv to GES at init time
	  Allowing user to set configuration actions without using
	  the GES GOptionGroup
	  https://bugzilla.gnome.org/show_bug.cgi?id=740717

2014-11-03 11:58:30 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/Makefile.am:
	* ges/ges-validate.c:
	* ges/ges.h:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  validate: Expose GES Validate action
	  So other can also make use of those action outside
	  ges-launch itself
	  https://bugzilla.gnome.org/show_bug.cgi?id=740718

2014-11-03 11:55:29 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	  uri-asset: Ensure that UriAssets loaded with error are remembered

2014-11-03 11:54:10 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-project.c:
	* ges/ges-project.h:
	  project: Add a method to create assets synchronously
	  This allows to create a add an asset to a project in a
	  synchronous way.
	  API:
	  ges_project_create_asset_sync
	  https://bugzilla.gnome.org/show_bug.cgi?id=740716

2014-11-03 11:51:51 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-project.c:
	* ges/ges-project.h:
	* ges/ges.c:
	* tools/ges-launch.c:
	  ges: Add an init option to set media paths for moved assets
	  Allowing user to easily set a set of paths to look for moved
	  assets instead of needing the to re implement that logic
	  over and over.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740714

2014-11-03 11:14:45 +0100  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges.c:
	* ges/ges.h:
	  ges: Add a method to get GES GOption group
	  This allow us to have global options to be
	  passed as arguments of the program to configure
	  GES behaviour
	  API:
	  ges_init_get_option_group
	  https://bugzilla.gnome.org/show_bug.cgi?id=740715

2014-11-16 16:51:54 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Disable encoding format renegotiation when rendering

2014-12-05 22:19:32 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/ges/track.c:
	  check/ges/track: add forgotten test file.

2014-11-26 01:08:31 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-audio-source.c:
	* ges/ges-title-source.c:
	* ges/ges-video-source.c:
	  *source: new lines in xml break my parser.
	  + So I removed them cause I'm clever
	  https://bugzilla.gnome.org/show_bug.cgi?id=740727

2014-11-26 20:34:24 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-audio-track.c:
	* ges/ges-track.c:
	* ges/ges-track.h:
	* tests/check/Makefile.am:
	* tests/check/ges/.gitignore:
	  track: [API]: ges_track_update_restriction_caps.
	  + And specify default restriction caps for audio tracks.
	  + Add ges_track_set_restriction_caps to the sections, it
	  was missing.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740726

2014-11-27 17:13:27 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 7bb2bce to ef1ffdc

2014-11-10 17:24:11 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/Makefile.am:
	  tests: Fix make distcheck
	  Some xges project are not used anymore and some new appeared, clean
	  that up in the Makefile.am

2014-11-10 16:20:29 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	* ges/ges-xml-formatter.c:
	  element: Add a property allowing user to avoid serializing TimelineElements on demand

2014-10-27 16:51:42 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-group.c:
	* ges/ges-internal.h:
	* ges/ges-timeline.c:
	* ges/ges-xml-formatter.c:
	* tests/check/ges/group.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	  xml-formatter: Serialize groups
	  They were not serialized until now.
	  That implies several changes:
	  * Override GESTimelineElement [start, inpoint, duration] properties in
	  GESGroup to ensure that those properties are not serialized as they
	  should not be.
	  * Rename GESBaseXmlContainer->clips field to
	  GESBaseXmlContainer->containers as the hashtable now contains Groups
	  https://bugzilla.gnome.org/show_bug.cgi?id=709148

2014-11-03 13:06:34 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Do not relink an already linked track

2014-11-02 11:46:37 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/gstframepositionner.c:
	* tests/check/ges/timelineedition.c:
	  frameposition: In case sources have the same size as track, follow track size
	  For example if the size has been serialized in a file, but the user has
	  not personalized the size, we want that whenever the restriction caps
	  change the size, the video should take the size of the track
	  restriction caps.
	  We know need to keep track of the current positionner.size even if
	  setting through caps size changes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739527

2014-11-01 11:32:16 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	  xml-formatter: Do not forget to set properties on the track elements
	  We were just setting children properties, even if the propertie to be
	  set on themselves where properly passed in
	  https://bugzilla.gnome.org/show_bug.cgi?id=729487

2014-11-01 10:34:41 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-title-source.c:
	* ges/ges-title-source.h:
	  title-source: Expose the shaded-background property
	  Rework the way we override the background property to avoid trying to
	  lookup shaded-foreground-color!
	  https://bugzilla.gnome.org/show_bug.cgi?id=728635

2014-11-01 09:47:39 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-title-source.c:
	  titlesource: Expose the outline-color property
	  https://bugzilla.gnome.org/show_bug.cgi?id=728634

2014-10-31 11:56:16 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: launch: Wait for the project to be loaded to activate gst-validate
	  Otherwize we could have a race where GstValidate actions are launched
	  even before the project has been loaded

2014-10-31 11:32:37 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Never try to propose same URI when we know it is missing URI

2014-10-28 18:36:55 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-pipeline.c:
	* ges/ges-timeline.c:
	  pipeline: connect tracks when added, not only on state change.
	  + ghost track src pad before calling track added so that
	  pipeline has a pad to link.
	  + Remove silly comment.

2014-10-30 12:36:57 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-audio-source.c:
	* ges/ges-title-source.c:
	* ges/ges-video-source.c:
	  Document known and usable child properties for GESTrackElements subclasses

2014-10-30 12:38:16 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools:launch: Properly terminate when we get a SIGINT signal

2014-10-29 13:40:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-title-source.c:
	* ges/ges-title-source.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	  trackelement: Add a lookup_child vmethod
	  This method can be used for subclass to override the default behaviour
	  for child lookup. This vmethod can be used for example in the case where
	  you want the name of a child property to be 'overridden'.
	  As an example in the GESTitleSource where we have a videotestsrc
	  which has a 'foreground-color' property that is used in the TitleSource
	  to set the background color of the title, this vmethod is now used to
	  tweak the name passed as parameter to rename "background" to
	  "foreground-backend" making our API understandable.
	  API:
	  GESTrackElement::lookup_child
	  https://bugzilla.gnome.org/show_bug.cgi?id=727880

2014-10-29 12:44:17 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	  title: Deprecate all method related to child properties
	  The standard way setting children properties is by using the
	  GESTrackElement::set_child_propery and friend methods
	  https://bugzilla.gnome.org/show_bug.cgi?id=727880

2014-10-29 13:38:13 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  ges-validate: inform of clip removal.

2014-10-29 13:25:06 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-timeline.c:
	  timeline: connect_after to layer.object_added.
	  We want the user provided signal handlers to be called before
	  we add track elements.

2014-10-28 17:33:09 +0100  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/nle/nlecomposition.c:
	* ges/nle/nleobject.c:
	  nle: Downgrade some INFO to DEBUG.
	  + makes it more pleasant to read logs in info.

2014-10-22 13:49:27 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	* ges/nle/nleobject.c:
	* ges/nle/nleobject.h:
	* ges/nle/nleoperation.c:
	* ges/nle/nlesource.c:
	* tests/check/Makefile.am:
	  nle: Handle sending SEEK event recursively to our children
	  Instead of relying on it being implemented in core (as it is currently
	  not!)

2014-10-06 12:30:17 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/nle/nlecomposition.c:
	  tests: Use audiomixer as an audio mixing element
	  Adder is the past!

2014-10-01 10:04:53 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  validate: Implement validate Action type to handle KeyFrames
	  New action types:
	  * set-control-binding
	  * add-keyframe
	  * remove-keyframe

2014-10-01 09:54:49 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	  track-element: Add a signal about added control bindings
	  API:
	  GESTrackElement::control-binding-added

2014-10-01 09:53:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* ges/ges-xml-formatter.c:
	  track-element: Add an API to list all set ControlBinding
	  API:
	  ges_track_element_get_all_control_bindings

2014-09-27 09:59:12 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-xml-formatter.c:
	  title-source: Properly expose children properties
	  + Make sure that the TitleClip properties are not serialized anymore as
	  they are serialized through children properties now.
	  + Enhance debugging for not serialized properties in GESXmlFormatter.

2014-09-26 18:28:16 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/nle/nlecomposition.c:
	  nlecomposition: update base time before seeking current stack.
	  There could be a race where the new segments were pushed after
	  a seek on some / all pads before the operation had had its basetime
	  updated, and thus incoming segments were tweaked wrongly.
	  Reproducible with 3 clips composited and multiple seeks,
	  FIXME hard to validate.

2013-09-14 01:35:55 +0200  Joris Valette <joris.valette@gmail.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-xml-formatter.c:
	  formatter: save and load source's children properties

2013-09-23 18:40:34 +0200  Joris Valette <joris.valette@gmail.com>

	* tests/check/ges/project.c:
	* tests/check/ges/test-keyframes.xges:
	* tests/check/ges/test-properties.xges:
	  tests: project: Add children properties check
	  Rename test_project_add_keyframes into test_project_add_properties

2014-09-26 18:39:19 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-project.c:
	  project: Do not concider adding am already tracked asset as failure
	  It is not really a failure, just a special case.

2014-09-26 17:51:14 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	  ges-validate: Add actions to add/remove object from container
	  + Add an action to set an asset on a GESTimelineElement

2014-09-26 17:50:03 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Fix edit_container return code
	  It used to always return FALSE.
	  + Fix minor leaks
	  + Do not seek ourself, it is users responsability to seek and
	  commit these days.

2014-09-26 17:44:12 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-extractable.c:
	* ges/ges-extractable.h:
	* ges/ges-transition-clip.c:
	  extractable: Make extractable_set_asset return a boolean
	  WARNING: This is a minor API breakage, it should be harmless
	  and allows us to let users know whether changing setting the
	  asset worked or no.

2014-09-25 17:31:49 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Add an action type to set restriction caps on track

2014-09-25 17:31:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  tools: Handle asset relocation for assets from scenario
	  Allowing us to share scenario and media file!

2014-09-25 15:30:55 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Add support for Layer.auto-transition
	  + Fix a bug where the mandatory field name for the name of the clip to
	  remove in remove-clip did not correspond to what we used in the action
	  (clip-name vs name).

2014-09-25 14:59:40 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Add commit and split-clip action types
	  And stop commit at the end of other action types, this now
	  has to be done in the scenario itself.

2014-09-25 14:57:35 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Add start/inpoint/duration params to the add-clip action

2014-09-25 14:55:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools:ges-launch: Save the project at the end of execution
	  So that changes from scenarios are taken into account

2014-09-25 14:53:36 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Fix the get_current_position method

2014-09-23 15:01:56 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Wait for a buffer from the new segment to restart task
	  Avoiding races where we would launch a seek right after a FLUSH_STOP and
	  before we get a Buffer which would possibly lead to ERROR message when upstream
	  elements try to push a buffer and check_sticky fails because downstream
	  is flushing.

2014-09-22 18:58:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Do useless thing so that the compiler doesn't warn us!
	  Otherwize we get a gcc warning about useless statements.

2014-09-19 17:14:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools:ges-launch: Do not set pipeline state before the timeline is ready
	  When we are loading a project

2014-09-19 17:13:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Update start stop and duration on initialization
	  So that the composition is usable right after the initialization

2014-09-19 17:12:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-project.c:
	* ges/ges-timeline.c:
	* ges/ges-track.c:
	  ges: Avoid to always commit when a project is loaded
	  In case we are not in a PLAYING state and the project is loaded, the
	  only thing that should be done is to fill the gaps and this way when the
	  composition get to PLAYING, their initialization will be enough to get
	  everything on track.

2014-09-19 12:58:26 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/nle/nlecomposition.c:
	* tests/check/nle/simple.c:
	  tests: Use the new gst_check_objects_destroyed_on_unref function

2014-09-19 12:57:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	* ges/ges-track.c:
	* tests/check/nle/common.c:
	  Start taking advantage of the fact that NLE is in the same three as GES!

2014-09-19 12:55:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Fix several leaks
	  * In the action closure invokation we were alway leaking the composition.
	  * gst_bin_add will actually take an extra ref since we already  gst_object_ref_sink so we
	  own the object, other call to that method will increase the refcount which means we do
	  not need to pass an extra ref to the bin.
	  * We want to ref_sink right when the object is added to the composition, making things
	  cleaner and simpler to follow in the tests.

2014-09-19 12:52:45 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Activate the composition ghostpad to flush downstream
	  Since commit 060b16ac75ac227d4cfe1db89ccdc4f4b31545ff
	  "pad: don't accept flush-stop on inactive pads" in -core, the flush_stop event will not be
	  fowarded downstream in case the pad is not activated. In our case the element is in
	  READY state, so pads are deactivated. In that commit we simply make sure that the
	  event can be fowarded downstream

2014-09-19 12:49:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nlecomposition: Restart the main task on FLUSH_STOP
	  It means stop using a dedicated probe to restart task so that the main probe does not
	  drop the FLUSH_STOP event before we have a chance to restart the task. (and this is
	  for sure cleaner/and simpler to read).

2014-09-19 12:29:28 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlesource.c:
	  nle:source: Protect the probeid field with the GST_OBJECT_LOCK
	  Avoiding races where we try to remove a probe on an already destroyed pad.

2014-09-19 12:28:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/gstframepositionner.c:
	  framepositionner: Add a weak pointer to the track_source
	  Avoiding assertions when the object is destroyed.

2014-08-25 18:11:52 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/nle/nlesource.c:
	  nle: Seek gnlsource when prerolled only
	  Instead of implementing seek on ready all around GStreamer, just
	  seek in PAUSED, when the source gets 'prerolled'.

2014-08-28 10:20:24 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track.c:
	  ges-track: Do not set removed object state
	  It is the composition to handle

2014-08-20 13:15:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/nle/nlecomposition.c:
	  nle: Stop using a MainContext avoiding needing one iter per source dispach
	  Using GClosure to handle the source handling and handle our action
	  ordering ourselves
	  https://bugzilla.gnome.org/show_bug.cgi?id=733342

2014-10-21 11:01:17 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-audio-transition.c:
	* ges/ges-smart-adder.c:
	  ges: Use audiomixer instead of adder by default

2014-10-21 10:59:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	* ges/ges-timeline.c:
	* ges/ges-track.c:
	  Port to the new NLE API
	  Port the timeline, track and pipeline to the new NLE API where
	  all objects have static src pads.

2014-08-15 15:48:14 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* docs/random/design:
	* docs/random/lifecycle:
	* docs/random/scenarios:
	* ges/Makefile.am:
	* ges/ges-audio-source.c:
	* ges/ges-audio-transition.c:
	* ges/ges-clip.c:
	* ges/ges-clip.h:
	* ges/ges-internal.h:
	* ges/ges-layer.c:
	* ges/ges-layer.h:
	* ges/ges-operation.c:
	* ges/ges-source.c:
	* ges/ges-timeline.c:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* ges/ges-track.c:
	* ges/ges-utils.c:
	* ges/ges-video-source.c:
	* ges/ges.c:
	* ges/nle/.gitignore:
	* ges/nle/gnlmarshal.list:
	* ges/nle/nle.h:
	* ges/nle/nlecomposition.c:
	* ges/nle/nlecomposition.h:
	* ges/nle/nleghostpad.c:
	* ges/nle/nleghostpad.h:
	* ges/nle/nleobject.c:
	* ges/nle/nleobject.h:
	* ges/nle/nleoperation.c:
	* ges/nle/nleoperation.h:
	* ges/nle/nlesource.c:
	* ges/nle/nlesource.h:
	* ges/nle/nletypes.h:
	* ges/nle/nleurisource.c:
	* ges/nle/nleurisource.h:
	* gnl/Makefile.am:
	* gnl/gnl.c:
	* gnl/gnl.h:
	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	* gnl/gnlmarshal.list:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	* gnl/gnloperation.c:
	* gnl/gnloperation.h:
	* gnl/gnlsource.c:
	* gnl/gnlsource.h:
	* gnl/gnltypes.h:
	* gnl/gnlurisource.c:
	* gnl/gnlurisource.h:
	* tests/check/Makefile.am:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	* tests/check/gnl/common.c:
	* tests/check/gnl/common.h:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/gnlsource.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	* tests/check/nle/common.c:
	* tests/check/nle/common.h:
	* tests/check/nle/complex.c:
	* tests/check/nle/nlecomposition.c:
	* tests/check/nle/nleoperation.c:
	* tests/check/nle/nlesource.c:
	* tests/check/nle/seek.c:
	* tests/check/nle/simple.c:
	* tests/examples/transition.c:
	  Cleanup import of GNL and rename gnl to nle for Non Linear Engine
	  Conflicts:
	  ges/ges-track-element.c
	  gnl/Makefile.am
	  gnl/common
	  Conflicts:
	  ges/ges-internal.h
	  ges/ges-track.c
	  ges/ges-utils.c
	  ges/nle/.gitignore
	  ges/nle/gnlmarshal.list
	  ges/nle/nle.h
	  ges/nle/nlecomposition.c
	  ges/nle/nlecomposition.h
	  ges/nle/nleghostpad.c
	  ges/nle/nleghostpad.h
	  ges/nle/nleobject.c
	  ges/nle/nleoperation.c
	  ges/nle/nleoperation.h
	  ges/nle/nlesource.c
	  ges/nle/nlesource.h
	  ges/nle/nletypes.h
	  ges/nle/nleurisource.c
	  ges/nle/nleurisource.h
	  gnl/Makefile.am
	  gnl/gnl.c
	  gnl/gnl.h
	  gnl/gnl/gnl.h
	  gnl/gnl/gnlcomposition.c
	  gnl/gnl/gnlcomposition.h
	  gnl/gnl/gnlghostpad.c
	  gnl/gnl/gnlghostpad.h
	  gnl/gnl/gnlmarshal.list
	  gnl/gnl/gnlobject.c
	  gnl/gnl/gnloperation.c
	  gnl/gnl/gnloperation.h
	  gnl/gnl/gnlsource.c
	  gnl/gnl/gnlsource.h
	  gnl/gnl/gnltypes.h
	  gnl/gnl/gnlurisource.c
	  gnl/gnl/gnlurisource.h
	  gnl/gnlcomposition.c
	  gnl/gnlcomposition.h
	  gnl/gnlghostpad.c
	  gnl/gnlghostpad.h
	  gnl/gnlmarshal.list
	  gnl/gnlobject.c
	  gnl/gnlobject.h
	  gnl/gnloperation.c
	  gnl/gnloperation.h
	  gnl/gnlsource.c
	  gnl/gnlsource.h
	  gnl/gnltypes.h
	  gnl/gnlurisource.c
	  gnl/gnlurisource.h
	  gnl/tests/check/gnl/common.c
	  gnl/tests/check/gnl/common.h
	  gnl/tests/check/gnl/complex.c
	  gnl/tests/check/gnl/gnlcomposition.c
	  gnl/tests/check/gnl/gnloperation.c
	  gnl/tests/check/gnl/gnlsource.c
	  gnl/tests/check/gnl/seek.c
	  gnl/tests/check/gnl/simple.c
	  tests/check/gnl/common.c
	  tests/check/gnl/common.h
	  tests/check/gnl/complex.c
	  tests/check/gnl/gnlcomposition.c
	  tests/check/gnl/gnloperation.c
	  tests/check/gnl/gnlsource.c
	  tests/check/gnl/seek.c
	  tests/check/gnl/simple.c
	  tests/check/nle/common.c
	  tests/check/nle/common.h
	  tests/check/nle/complex.c
	  tests/check/nle/nlecomposition.c
	  tests/check/nle/nleoperation.c
	  tests/check/nle/nlesource.c
	  tests/check/nle/seek.c
	  tests/check/nle/simple.c

2014-08-12 14:35:09 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Commit all values before initializing the pipeline

2014-08-05 15:43:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Prevent update sources from being added after seek.

2014-07-31 16:02:06 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: only flush stop after seek was set to READY.

2014-07-29 23:41:45 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Also ignore all messages from children tearing them to READY
	  At that stage elements should not be taken into account anymore. In some
	  spacial cases they can post ERROR messages (when trying to push sticky
	  events on flushing pads) on the bus. We actually do not care about those
	  issues at that exact point.

2014-07-28 20:24:50 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Do not try to paused the task that could have been stopped
	  There was a race where we ended up trying to update the pipeline and
	  stop our children task at the exact moment where we were actually
	  setting its state to PAUSED. Take the composition lock and make sure
	  that can't happen

2014-07-25 10:55:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/gnlcomposition.c:
	  composition: Post messages on the bus when it updates itself
	  And properly set the seqnums of those messages so that the application,
	  parents have the exact information about what is going on and why.

2014-07-22 18:22:09 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: push flush events on the target.

2014-07-19 11:41:56 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	* tests/check/gnl/common.c:
	  composition: No need for action signal to add and remove objects!

2014-07-21 16:59:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: we're initialized even if update_pipeline returned FALSE

2014-07-21 16:57:14 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: reset base time to 0 when needed.

2014-07-21 16:54:46 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Forward flushes on initialization

2014-07-18 04:04:16 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlobject.c:
	  object: make the check for self commit work in a crappy way.

2014-07-18 04:01:25 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: use g_main_context_set_dispatches_per_iteration ()
	  Let's hope this gets merged ...

2014-07-15 15:17:43 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: set next_eos_seqnum when we get seeked too.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-15 15:47:59 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  gnl: Rely on the GstElement to properly handle their seqnums
	  Actually it is not exactly thread safe to tweak them ourself at the GNL
	  level.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-15 15:16:23 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Always return a value in GSourceFuncs
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-15 15:01:59 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Rename _flush_downstream to _have_to_seek_downstrean
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-15 14:59:54 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlobject.h:
	* gnl/gnlsource.c:
	* tests/check/gnl/common.c:
	  source: Remove cruft code to seek sources
	  We now seek on ready and thus do not need to do magic trying to seek
	  the source as soon as possible as we now do it even sooner than soon.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-15 09:46:03 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Do not remove all sources when stopping task
	  We only want to remove updates and seek, commits should be kept
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-15 02:37:25 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Don't send flushes downstream on pipeline update.
	  The code is still a bit redundant in set_current_bin_to_ready, need
	  to discuss.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 17:52:36 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Remove locking making sure that we manipulate children in right places
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 17:47:07 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Avoid a race in PAUSED_TO_READY
	  as we were using our children list in there without locking them.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 17:18:23 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: No need to reset the composition when going to PAUSED or NULL
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 17:10:35 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Make sure we have a peer when we send flushes downstream
	  And avoid leaks
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 17:06:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Minor cleanups

2014-07-14 16:51:56 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Take the objects lock when reseting the composition
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 16:47:45 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Remove the reset children method
	  as it is all already done in _empty_bin ()
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 16:44:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Set children caps only when they are added to the composition
	  No need to do it again on READY_TO_PAUSED
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 16:41:25 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: No need to children state locked anymore
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 16:30:35 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: cleanup dispose / finalize
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 16:24:46 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: remove children warning drop HACK.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 16:12:00 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: remove now useless notion of GnlCompositionEntry.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 15:50:58 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: cleanup GnlCompositionEntry before its actual removal.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 15:43:04 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: remove now useless prop "deactivated_elements_state".
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 15:40:28 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Remove now useless flag "reset_time".
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 15:37:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Remove now useless flag "stackvalid".
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 15:35:47 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: remove now useless "flushing" flag.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 13:36:31 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Do not use 'update' seek for now
	  This is not working in our new context and the seek do not work at
	  all when we set seek start to CLOCK_TIME_NONE and type to TYPE_NONE.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-14 13:35:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Add the stack start/stop that has been set in dotfile name
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-14 13:34:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Push flush events *downstream* not 'somewhere' :)
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-13 16:59:15 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlsource.c:
	  source: Atomically change the probe ID
	  Avoiding races where the probe would be removed 2 times
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-13 11:51:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Avoid deadlock when setting current bin to ready (on commit or seek)
	  We need to make sure that between the time we send flush_start/stop and
	  the time we actually set the bin to READY, no buffer got prerolled again
	  as it would lead to a deadlock trying to set the bin to READY (while
	  deactivating the pads, it needs the streaming lock, which would be
	  taken in that case)
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-12 20:54:55 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Only sync state of current bin when activating new stack.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 21:59:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/simple.c:
	  composition: Start kindergarten task when going to READY.
	  And stop it when going back to NULL.
	  Update tests.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 21:58:41 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/gnlcomposition.c:
	  composition: add a new failing test for finalize on commit.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 19:13:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Make sure to remove all updates when updating the stack
	  The EOS we received before that became meaningless and thus the
	  associated GSources should no be triggered
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 18:29:17 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Avoid emitting COMMITED like crazy
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 18:27:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Add an enum to define why we update the stack
	  Making the code simpler to follow
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 17:48:05 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: We are now waiting for caps to restart our task
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 17:31:34 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Remove useless functions to add GSources and add debugging
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 17:25:44 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Remove DONE fixme
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 17:23:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlghostpad.c:
	  ghostpad: Do not try to be smarter than possible with seqnum
	  We can have several CAPS event comming at any time and thuse we will
	  need to rely on elements to handle their seqnum properly as we can not
	  do a safe guard at our level
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 17:22:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Keep our GSources in a list making their thread safe
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 16:08:20 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	  composition: Concider the last action as DONE when we get a CAPS or SEGMENT
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 15:41:50 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: only forward our flush start / stops
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 14:18:58 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlghostpad.c:
	  ghostpad: remove useless debug
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 14:17:36 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: cleanup and enhance debug
	  Bye Bye STRAM START you were a brave little debug we will miss you.
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-11 14:11:21 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: do not flush downstream when updating pipeline ourselves.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-11 12:20:53 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Set update to TRUE when updating the stack because of EOS
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-10 18:01:32 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Handle seeking current stack while PAUSED
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-10 16:26:48 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Add and enhance some debug
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-10 16:21:31 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Dot the newly created stacks
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-10 16:17:20 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Add some more debugging and fix mistakes in seqnum handling
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-10 15:48:50 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Factor out a function to seek the current stack
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-10 15:46:19 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Set the seqnum only when receiving the actual seek event
	  Setting it before calling seek_handling is racy!
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-10 15:45:19 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Set the real_eos_seqnum in a dedicated method
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-10 15:43:26 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Reset the real_eos_seqnum when reseting the composition
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-10 15:42:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Release OBJECTS_LOCK when emiting the "commited"
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-10 15:33:23 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Use the private struct directly
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-09 12:51:36 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	* gnl/gnloperation.c:
	* gnl/gnloperation.h:
	  gnloperation: Totally clear operations when removing emptying current_bin
	  Removing linked childre leads to weird behaviour, we want to make sure
	  that all elements are totally clean when they are out the current bin.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-08 23:25:09 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Do not forget to set output segment seqnum
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-08 23:00:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Fix the build
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-08 22:59:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/seek.c:
	  tests:composition: Fix some refcounts
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-08 22:58:02 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Relink nodes *after* setting the seqnum
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-08 22:57:22 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Do not tolerate getting seeked when no target is set
	  This should not happen anymore
	  + Do not set twice events seqnums
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-08 22:55:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Add missing seqnum tweaking
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-08 22:54:31 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/gnloperation.c:
	  tests: Use compositor instead of videomixer
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-08 22:53:57 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Handle the case were we get an EOS right after a segment
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-08 13:28:57 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Make basic seeking working
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 23:28:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/gnl/gnloperation.c:
	  tests: Start fixing operation tests
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 23:24:46 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/simple.c:
	  tests: Fix composition tests
	  We can not expect a seek event anymore as we are seeking in READY the elements
	  themselves
	  +remove actual sinks
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 23:07:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Implement the logic to PAUSE the task while executing actions
	  We need to wait for the pipeline update to be actually finished before we can start another
	  action. That means that we pause the task until one buffer from the new stack is
	  outputed.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 23:08:56 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Do not forget to set expandables state to NULL when disposing
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 23:01:24 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Factor out a function to commit only the values
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 22:58:27 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Get the current position before actually commiting values on commit
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 22:54:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Add a method that set the current bin to READY
	  We need to get the stream lock in some conditions, and thuse send
	  flush event in those cases.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 22:50:34 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Remove useless code
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 22:33:09 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Clear the old stack when removing children that where used
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 22:27:21 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Remove useless toplevel_seek argiment from activate_new_stack
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 22:25:51 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  composition: Rework the seqnum logic to avoid races when setting the new stack seqnum
	  When we were seeking the same stack without a logic that gurantees that we actually
	  saw the seek with the new seqnum set, we could have ended up with an EOS set with
	  the right seqnum even if it was actually not the case.
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-07 21:31:01 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Add/Remove children in the same order as they were called
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-07 21:28:28 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Remove useless flush_start argument from the stop_task method
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-06 15:46:22 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Force setting children state to NULL rebfore unrefing them
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-04 11:05:41 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  compositition: Check last stack in the children thread
	  Avoiding to take the OBJECT_LOCK when recieving EOS. The computation is
	  based on the GstEvent.seqnum to make sure that the EOS we receive
	  corresponds to the right sequence.
	  In that patch we tweak seqnums so that they are correctly computed
	  avoiding to depend on all elements to do it properly as it might pretty
	  much not be the case!
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-04 11:11:53 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Actiually set current_bin state even when not debugging
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 17:42:06 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Set *all* children state when going back to READY and then NULL
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-03 17:36:01 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* tests/check/gnl/gnlcomposition.c:
	  composition: Fix toplevel seek event refcounting
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 16:46:21 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/complex.c:
	  composition: Teach the composition to seek same stack
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 16:44:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/simple.c:
	  composition: The ref the user gave us is our, and we give another to the bin when needed
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-03 16:41:42 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Rename commit_pipeline_func to commit_func
	  We do not commit any pipeline, we commit the new state of the composition internals
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 14:48:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Set the state of the internal bin before removing its children
	  Otherwize when we set the composition state to READY or NULL we can end
	  up with children in PAUSED state outside of everything
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-03 14:34:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/common.c:
	* tests/check/gnl/simple.c:
	  tests: Minor cleanup
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 14:32:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlobject.c:
	  gnlobject: Allow commiting of object that are not inside a composition
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-03 14:32:18 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: Empty current_bin on gnl_composition_reset
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-03 14:31:35 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Remove now useless external_gst_bin_add_remove field
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-03 11:36:20 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlsource.c:
	  composition: Remove now useless pad probes
	  Co-Authored by: Thibault Saunier <tsaunier@gnome.org>

2014-07-02 21:01:31 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	* gnl/gnlobject.c:
	* gnl/gnlsource.c:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	  composition: Add an internal bin where that contain used children
	  Co-Authored by: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

2014-07-02 17:33:35 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/gnlcomposition.c:
	  composition: Add objects to the pending IO list in a GSource
	  This way we make sure we do not manipulate our children from another
	  thread than the dedicated one.

2014-07-01 18:08:32 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Start implementing seeking in a GSource

2014-06-30 16:21:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	* tests/check/gnl/common.c:
	* tests/check/gnl/common.h:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	  composition: switch to using an action signal to add and remove objects.

2014-06-30 16:29:50 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: chain up finalize before clering mcontext_lock.

2014-06-30 15:12:38 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Initialize the first stack async

2014-06-29 22:35:34 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	  Finish fixing tests

2014-06-28 14:44:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/common.c:
	  tests/common: disconnect commited handler

2014-06-27 16:12:12 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/common.c:
	* tests/check/gnl/common.h:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	  composition: Actually commit in on our own thread
	  Avoiding races

2014-06-27 17:03:44 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: start and stop task in init and finalize

2014-06-27 17:01:34 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/gnlcomposition.c:
	  tests: unref message correctly

2014-06-27 16:40:19 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	  composition: home grown task

2014-06-27 16:12:28 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tests/check/gnl/gnlcomposition.c:
	  Don't be sync silly test

2014-06-27 15:00:48 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	  composition: simplify update_pipeline_func

2014-06-27 16:26:09 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Reset the srcpad target when removing the toplevelentry

2014-06-27 12:15:10 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/simple.c:
	  composition: Use a GstPad task to run the update pipeline thread

2014-06-26 23:48:09 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Factor out code to deactivate old stack and activate new one

2014-06-26 19:00:03 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  composition: Avoid looping using gotos

2014-06-26 18:41:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use the new _object_block_and_drop_data where appropriate
	  Renaming block_object_src_pad to _object_block_and_drop_data

2014-06-25 19:39:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  gnlcomposition: factor out some functions

2014-06-25 19:18:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Factor out the condition of _parent_or_priority_changed

2014-06-25 19:17:55 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Add a function to block object source pad

2014-06-24 13:44:13 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	* gnl/gnloperation.c:
	* gnl/gnloperation.h:
	* gnl/gnlsource.c:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/gnlsource.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	  gnl: Add the srcpad directly to GnlObject
	  Starting from now we will not claim that we support GnlObject that have
	  several source pads as this is
	  1- Not true at all;
	  2- the design of priorities in the GnlComposition tree does not allow that;
	  3- Not very useful in most of the cases and it complexifies quite a lot the code
	  in the composition.
	  Conflicts:
	  configure.ac
	  tests/check/Makefile.am

2014-06-25 15:35:08 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/gnlobject.c:
	  Revert "gnlobject: Commit object in READY_TO_PAUSED"
	  This causes races when seeking, reverting for now even if we will
	  probably want to bring something like that back.
	  This reverts commit 3549e745a8f0de3977b83c60e9b447afaf55d8a0.

2014-06-24 12:52:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gnl/gnlsource.c:
	* gnl/gnlsource.h:
	  gnlsource: remove useless "controls_one" field.

2014-10-21 10:35:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gnl/Makefile.am:
	* gnl/gnl.c:
	* gnl/gnl.h:
	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	* gnl/gnlmarshal.list:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	* gnl/gnloperation.c:
	* gnl/gnloperation.h:
	* gnl/gnlsource.c:
	* gnl/gnlsource.h:
	* gnl/gnltypes.h:
	* gnl/gnlurisource.c:
	* gnl/gnlurisource.h:
	* tests/check/gnl/common.c:
	* tests/check/gnl/common.h:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/gnlsource.c:
	* tests/check/gnl/seek.c:
	* tests/check/gnl/simple.c:
	  Import GNL from 978332e7c4c3bba1949421d28b492540ab471450 'Release 1.4.0'

2014-08-15 18:02:36 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/ges/timelineedition.c:
	  tests: timelineedition: Init GES once at the beginning.
	  Avoiding to forget to init in a particular test and failling stupidly

2014-08-15 18:00:24 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tests/check/ges/backgroundsource.c:
	  test: backgroundsource: Disable tests that rely on nlecomposition internals
	  We can't rely on that, in particular now that it does not actually
	  add its children all the time but only when it is needed (and that
	  it has an internal bin where actual things happen).

2014-08-13 13:15:02 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	  timeline: Add a method to retrieve a pad from a track
	  It allows user to easily get the proxied pad from a track.
	  API:
	  + ges_timeline_get_pad_for_track

2014-07-28 15:26:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools:launcher: Avoid commiting when we are not done loading the timeline

2014-07-26 00:31:32 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  ges: Use the new GNL element message feature to notify async operations

2014-07-24 17:55:35 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-base-xml-formatter.c:
	  xml-formatter: message-forward is not something that should be parsed.

2014-07-25 14:47:07 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-timeline.c:
	  timeline: handle async start

2014-10-23 21:46:04 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* configure.ac:
	* tests/Makefile.am:
	* tests/scenarios/Makefile.am:
	* tests/scenarios/ges-edit-clip-while-paused.scenario:
	* tests/validate/Makefile.am:
	* tests/validate/geslaunch.py:
	* tests/validate/scenarios/Makefile.am:
	* tests/validate/scenarios/ges-edit-clip-while-paused.scenario:
	  tests: implement our validate TestManager.
	  And make sure it installs alongside the other validate apps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=739093

2014-10-30 15:54:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-smart-video-mixer.c:
	  smart-video-mixer: unref pads_info hash table in dispose
	  Before gst_bin_dispose() runs and destroys elements.

2014-10-30 15:20:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-smart-adder.c:
	  smart-adder: fix crash in unit test
	  Unref pads_info hash table in dispose instead of
	  finalize, i.e. before gst_bin_dispose runs and
	  destroys pads_info->bin (to which the pads_info
	  does not hold a ref).

2014-10-27 18:01:56 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 84d06cd to 7bb2bce

2014-10-26 20:36:22 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-track.c:
	  track: fix indentation

2014-10-26 20:35:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-timeline-element.c:
	  timeline-element: don't leak name string

2014-10-26 20:34:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-timeline.c:
	  timeline: fix mutex and all_elements hash table leaks

2014-10-26 20:33:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-timeline.c:
	  timeline: free tracks obtained via select-tracks-for-object signal

2014-10-26 20:32:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-timeline.c:
	  timeline: free track elements list

2014-10-26 20:31:40 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-video-test-source.c:
	  video-test-source: fix caps leak

2014-10-26 20:31:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/gstframepositionner.c:
	  framepositionner: fix caps leak

2014-10-26 20:31:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-audio-track.c:
	  audiotrack: fix caps leak

2014-10-26 20:30:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-video-track.c:
	  videotrack: fix caps leak

2014-10-26 20:30:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-track.c:
	  track: don't leak restriction caps

2014-10-26 20:29:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-smart-adder.c:
	  smart-adder: don't leak pads_infos hash table

2014-10-26 20:28:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-smart-video-mixer.c:
	  smart-video-mixer: don't leak pads_infos hash table

2014-10-26 20:27:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-project.c:
	  project: fix string leak

2014-10-26 20:25:46 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-meta-container.c:
	  metacontainer: don't leak GValue contents

2014-10-26 20:24:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/ges/basic.c:
	  tests: don't leak clips list in basic unit test

2014-10-26 20:23:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  Parallelise 'make check-valgrind'

2014-10-22 14:15:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  ges-validate: issues naming have changed.
	  Update the override.

2014-10-21 13:04:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From a8c8939 to 84d06cd

2014-10-21 13:01:04 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 36388a1 to a8c8939

2014-10-20 13:37:25 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.4.0 ===

2014-10-20 11:56:36 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.4.0

2014-10-16 14:18:16 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  validate: Fix naming of add_action_type to register_action_type
	  That function was just renamed in Validate

2014-10-12 19:46:59 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  validate: Rename --list-action-types to --inspect-action-type
	  Making clearer the meaning of the parameter and closer to
	  the usual naming in the GStreamer land.

=== release 1.3.90 ===

2014-09-24 11:07:40 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-editing-services.doap:
	  Release 1.3.90

2014-09-13 16:16:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: bump (soft) gst-validate requirement
	  Won't build against all older git versions with
	  0.0.1.0 as version number.

2014-07-20 11:47:18 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* tools/ges-launch.c:
	  ges-launch: option to select encoding profile from xml
	  https://bugzilla.gnome.org/show_bug.cgi?id=735121

2014-07-20 11:47:56 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* tools/ges-launch.c:
	  ges-launch: clean up help page
	  https://bugzilla.gnome.org/show_bug.cgi?id=735121

2014-09-05 23:14:10 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  validate: gst_validate_print_action_types now takes a const gchar **

2014-09-05 23:08:41 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  validate: Add the "ges" as implementer namespace for our action types

2014-09-05 22:09:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* tools/ges-launch.c:
	  ges-launch: Fix typo in --help output

2014-09-05 22:08:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* tools/ges-launch.c:
	* tools/ges-validate.h:
	  ges-launch: Fix compiler warnings
	  ges_validate_print_action_types() takes a const gchar **.

2014-08-22 21:02:58 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Rename edit-clip to edit-container
	  So it represent better what the action does at the GES level

2014-08-22 21:01:07 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  ges-validate: Port to the new GstValidate action registration API

2014-07-24 19:03:50 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  tools:validate: Concider seek in PAUSED position being not exact as WARNING
	  In some corner cases in GNL it is totally correct that a position in a
	  seek in paused is not perfectly exact

2014-08-08 10:41:48 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Let GstValidate handle assert logs

2014-07-27 15:42:42 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  ges:validate: Port to the new handles-states API

2014-08-01 10:44:57 +0200  Edward Hervey <edward@collabora.com>

	* Makefile.am:
	* common:
	  Makefile: Add usage of build-checks step
	  Allows building checks without running them

2014-07-24 13:23:36 +0300  Lazar Claudiu <lazar.claudiu.florin@gmail.com>

	* ges/ges-text-overlay.c:
	  text-overlay: added text properties as child-properties

2014-06-16 11:38:29 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-internal.h:
	* ges/ges-smart-video-mixer.c:
	* ges/ges-utils.c:
	* ges/ges-video-transition.c:
	  ges: Use registry to select the compositor element

2014-07-18 18:27:20 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-xml-formatter.c:
	  xml-formatter: Set errno to 0 before g_ascii_strtoll.

2014-06-12 09:51:02 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ges/ges-smart-video-mixer.c:
	  smart-video-mixer: fix memory leak on error path
	  Coverity 1212166

2014-03-20 17:04:31 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track-element.c:
	  trackelement: Sort paramspec by name in list_children_properties
	  https://bugzilla.gnome.org/show_bug.cgi?id=720023

2014-06-06 12:08:47 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Fix transition handling in ges-launch
	  https://bugzilla.gnome.org/show_bug.cgi?id=730806

2014-06-05 04:20:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/test-utils.h:
	  clip: Fix the ges_clip_set_position function
	  And enhance the new test
	  https://bugzilla.gnome.org/show_bug.cgi?id=731248

2014-06-05 04:05:06 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.c:
	* ges/ges-clip.h:
	  clip: Rename top_effect_index to top_effect_index
	  Keeping the old method to not break the API but removing it from the
	  documentation as users should use the new method (which is the exact
	  same with a better naming)
	  https://bugzilla.gnome.org/show_bug.cgi?id=731248

2014-06-05 03:48:12 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	* ges/ges-timeline.c:
	* tests/check/ges/clip.c:
	  tests: Check ges_clip_set_position behaviour
	  + Minor fix to handle properly the feature when clip is not in any layer
	  https://bugzilla.gnome.org/show_bug.cgi?id=731248

2014-06-04 23:16:42 +0200  Alexandru Băluț <alexandru.balut@gmail.com>

	* tests/check/ges/clip.c:
	  clip: Add test for effects priorities
	  https://bugzilla.gnome.org/show_bug.cgi?id=731248

2014-06-05 02:16:01 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	* tools/ges-launch.c:
	  pipeline: Add support to rendering without container
	  + Simplify the support in ges-launch as we should not require the
	  profile desc to start with : in that case
	  https://bugzilla.gnome.org/show_bug.cgi?id=731245

2014-05-24 19:16:12 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* ges/ges-enums.c:
	  Fix invalid GEnumValue.value_name entries.
	  This makes the enum entries in the gir have valid c:identifiers and documentation.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730691

2014-06-03 17:53:23 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-track.c:
	  ges-track: fill the gaps left empty by deactivated track elements.

2014-05-21 10:54:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 211fa5f to 1f5d3c3

2014-05-19 12:21:52 +0200  Thibault Saunier <tsaunier@gnome.org>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.c:
	* ges/ges-clip.h:
	* tests/check/ges/clip.c:
	  ges:clip: Add a method to look for a list of TrackElement-s
	  + Add unit tests to check it works properly.
	  API:
	  + ges_clip_find_track_elements

2014-05-18 18:34:26 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  tools: Handle request state changes from GstValidate

2014-05-15 20:44:35 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	* tests/check/ges/basic.c:
	  ges: Do not forget to update the count when updating already used name
	  That could still lead to naming conflicts

2014-05-15 19:37:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-video-source.c:
	  ges: Add a queue after the decoder in video test src

2014-05-14 22:06:55 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	* tests/check/ges/basic.c:
	  ges: Avoid GESTimelineElement naming conflicts
	  When users (can be formatters) set timeline element names in the
	  default 'namespace' we need to update our counter to avoid setting
	  twice the same name on TimelineElements so afterward there is no
	  problem adding them in the GESTimeline
	  + add a testcase to check that new code and fix leaks on the
	  existing testcases.
	  + Sensibly enhance debugs

2014-05-13 14:30:39 +0200  Edward Hervey <edward@collabora.com>

	* ges/ges-xml-formatter.c:
	  xml-formatter: Don't leak children_props
	  By going through the cleanup code-path
	  CID #1212146

2014-05-10 22:52:18 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-base-xml-formatter.c:
	* tools/ges-launch.c:
	  ges: Do not use freed pointers
	  COVERTY CID 1212182
	  COVERTY CID 1212184
	  COVERTY CID 1212185

2014-05-10 22:48:12 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-smart-adder.c:
	  ges: Plug a leak in ges-smart-adder
	  COVERTY CID 1212166

2014-05-10 22:45:34 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-xml-formatter.c:
	  ges-xml-formatter: fix memory leak
	  COVERTY CID 1212148

2014-05-10 22:41:23 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-xml-formatter.c:
	  ges-xml-formatter: fix memory leak in error path
	  COVERITY CID 1212147

2014-05-10 22:38:21 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-asset.c:
	  ges: Assert if an asset is not in the global hashtable
	  COVERITY CID 1151679

2014-05-10 22:33:15 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  ges: Remove useless pointer assignement
	  COVERITY CID: 1139442

2014-05-10 22:30:00 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-meta-container.c:
	  ges: Remove useless pointer assignement
	  COVERITY CID: 1139941

2014-05-10 22:28:01 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-meta-container.c:
	  ges: Add license header in ges-meta-container

2014-05-10 22:09:31 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-timeline.c:
	  ges: remove comparison of unsigned inferior to 0
	  COVERITY CID 1139769

2014-05-09 13:00:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ges/ges-xml-formatter.c:
	  ges-xml-formatter: fix memory leak in error path
	  CID 1212146

2014-05-08 17:21:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tool: Add the option to set audiosink
	  And use gst_parse_bin_from_description to create the sinks letting more
	  control to users.

2014-05-08 17:11:54 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  scenarios: update the prototype of ges_validate_activate
	  if validate is not present.

2014-05-08 14:12:11 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	  ges-launch: add an option to use a custom video sink

2014-05-08 01:38:26 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  validate: make sure we release our ref when we get_timeline.
	  Conflicts:
	  tools/ges-validate.c

2014-05-08 01:15:42 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  scenarios: Check priority before creating a layer.

2014-05-06 15:32:18 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  ges-launch: Make it so actions are executed directly when needed.

2014-05-02 17:11:24 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  validate: implement remove / add clip actions
	  And a helper to get a layer by priority

2014-05-02 16:48:46 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-timeline-element.c:
	  timeline-element: return TRUE in _set_name when both names match.

2014-05-02 14:17:07 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	  ges-launch: Only create a layer if needed.
	  That way scenarios can start with an empty timeline

2014-05-02 13:37:04 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  validate: Add add-layer and remove-layer

2014-05-08 01:13:02 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  scenarios: add a remove-asset action

2014-05-01 17:02:05 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-validate.c:
	  ges-validate: add an add-asset action
	  Conflicts:
	  tools/ges-validate.c

2014-05-01 17:00:25 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* tools/ges-launch.c:
	  ges-launch: When a scenario is set, don't request triplets

2014-05-01 16:59:15 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ges/ges-timeline.h:
	  ges-timeline: Fix ges_timeline_get_project macro.
	  This macro was a little confused about its own meaning.

2014-05-05 11:58:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/ges-launch.c:
	  ges-launch: remove dead code
	  duration can't be smaller than 0 because it's unsigned,
	  and it can't be 0 because 0 is transformed to CLOCK_TIME_NONE
	  earlier.
	  Coverity CID 1211822.

2014-05-03 10:18:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From bcb1518 to 211fa5f

2014-05-01 10:13:39 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Add a way to look for moved media sample recursively
	  In ges-launch let the user set a folder where the media sample that
	  move can be found recursing into that specified folder.
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-30 20:58:42 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-track.c:
	* tools/ges-launch.c:
	  tools: Add an option to disable mixing
	  + Add a a GObject property so that the info is seralized
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-30 16:26:03 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-project.c:
	  project: Enhance debugging when updating URI with an invalid one
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-05-02 16:49:10 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  tools: Always activate gst-validate to have position printing
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-29 21:29:54 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Handle times as doubles + concider duration=0 as TIME_NONE
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-26 09:51:37 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  tools: Disable --set-scenario if not compiled against gst-validate
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-26 08:55:31 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-clip.c:
	  ges: Rename remaning tlobj to clip
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-05-02 16:43:42 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  ges-validate: Add an action to serialize the project
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382
	  Conflicts:
	  tools/ges-validate.c

2014-04-25 18:23:06 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-validate.c:
	  tools:validate: Always seek after editing a clip
	  Otherwize the displayed frame will not be updated when paused.
	  + Add a get_timeline internal helper method in ges-validate.c
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-03-14 12:10:53 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-validate.c:
	  ges-validate: Add a GstValidate action to set children properties
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-02-18 18:52:38 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	* tests/Makefile.am:
	* tests/scenarios/Makefile.am:
	* tests/scenarios/ges-edit-clip-while-paused.scenario:
	  scenario: Add a scenario that edits a clip while the pipeline is paused
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-02-18 17:25:05 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-validate.c:
	  tools:validate: Add an action to allow editing clips
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-02-18 15:14:40 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-internal.h:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-xml-formatter.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/group.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/uriclip.c:
	  Add a notion of 'name' in GESTimelineElement
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-23 11:28:20 +0200  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	* tools/ges-validate.c:
	  tools: Position printing is now done at the gst-validate level
	  https://bugzilla.gnome.org/show_bug.cgi?id=729382

2014-04-17 13:04:26 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-uri-asset.c:
	  uri-asset: Check return value of gst_tag_list_copy_value
	  CID 1139597

2014-04-10 18:03:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* ges/gstframepositionner.c:
	  framepositioner: Set the proper default value
	  Most likely a copy/paste error.
	  CID #1139646

2014-04-10 18:01:03 +0200  Edward Hervey <bilboed@bilboed.com>

	* ges/ges-xml-formatter.c:
	  xml-formatter: Use proper value for string extraction
	  The pass would be filled with some bogus (pointer) numerical value
	  CID #1139652

2014-04-10 17:52:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* ges/ges-base-xml-formatter.c:
	  base-xml-formatter: Don't attempt to use NULL entry
	  Instead return straight away
	  CID #1139739

2014-04-07 21:02:48 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/ges-asset.c:
	* ges/ges-audio-source.c:
	* ges/ges-audio-test-source.c:
	* ges/ges-audio-track.c:
	* ges/ges-audio-transition.c:
	* ges/ges-audio-uri-source.c:
	* ges/ges-base-effect-clip.c:
	* ges/ges-base-effect.c:
	* ges/ges-base-transition-clip.c:
	* ges/ges-clip-asset.c:
	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-effect-asset.c:
	* ges/ges-effect-clip.c:
	* ges/ges-effect.c:
	* ges/ges-extractable.c:
	* ges/ges-formatter.c:
	* ges/ges-group.c:
	* ges/ges-image-source.c:
	* ges/ges-layer.c:
	* ges/ges-meta-container.c:
	* ges/ges-multi-file-source.c:
	* ges/ges-operation-clip.c:
	* ges/ges-operation.c:
	* ges/ges-overlay-clip.c:
	* ges/ges-pipeline.c:
	* ges/ges-pitivi-formatter.c:
	* ges/ges-project.c:
	* ges/ges-source-clip.c:
	* ges/ges-source.c:
	* ges/ges-test-clip.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-track-element-asset.c:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* ges/ges-transition-clip.c:
	* ges/ges-transition.c:
	* ges/ges-uri-asset.c:
	* ges/ges-uri-clip.c:
	* ges/ges-video-source.c:
	* ges/ges-video-test-source.c:
	* ges/ges-video-track.c:
	* ges/ges-video-transition.c:
	* ges/ges-video-uri-source.c:
	  Include class related section documentation in the gir file.
	  g-ir-scanner includes section docs as class/interface docs if the section name is equal to the lowercase type name.
	  Since all the documentation is in section blocks, rename them to match the type names.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727776

2014-04-06 16:39:33 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ges/Makefile.am:
	  build: Add reference to GstVideo in gir file

2014-03-26 23:48:45 +0100  Lubosz Sarnecki <lubosz@gmail.com>

	* ges/ges-types.h:
	  multifilesrc: remove unused class declaration

2014-03-26 23:47:03 +0100  Lubosz Sarnecki <lubosz@gmail.com>

	* ges/Makefile.am:
	  build: install ges-version.h

2014-03-26 11:45:07 +0100  Thibault Saunier <tsaunier@gnome.org>

	* tools/ges-launch.c:
	  ges-launch: Not being able to load an asset is an error

2014-03-21 10:22:52 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ges/ges-pipeline.c:
	  pipeline: Do not set EncodingProfile.presence when we have no track for the type
	  That leads to freeze as encodebin will be waiting for a pad and EOS
	  forever

2014-01-09 16:31:01 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Format the position printing as in gst-validate and friends

2013-09-13 18:15:21 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	* tools/Makefile.am:
	* tools/ges-launch.c:
	* tools/ges-validate.c:
	* tools/ges-validate.h:
	  ges-launch: Play nicely with gst-validate if avalaible

2013-09-20 01:31:10 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Add a way to mute test video and audio output

2013-10-12 10:07:28 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Properly handle project loading
	  So we start the pipeline only when the project is done loading, and we save it when it is
	  loaded, taking into account possible media URI updates.

2013-11-12 12:13:31 +0100  Lubosz Sarnecki <lubosz@gmail.com>

	  ges: multifilesrc support
	  * GESMultiFileSource class
	  * multifilesrc example
	  * Support multifile:// urls in uri asset
	  * start/stop index modification
	  * Doc
	  https://bugzilla.gnome.org/show_bug.cgi?id=719373

2014-03-16 12:48:22 +0100  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.2.0 ===

2014-03-16 12:46:26 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* ges/ges.c:
	* gst-editing-services.doap:
	  Release 1.2.0

2014-03-15 10:34:17 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	* ges/ges-version.h.in:
	* ges/ges.h:
	  Properly generate versioning #define-s during autogen

2014-03-14 20:04:33 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	* ges/ges-timeline-element.c:
	* tests/check/ges/group.c:
	  container: Properly handle the case where we could not set parent
	  In this case we had a FIXME about reverting everything that was done,
	  implement that FIXME!

2014-03-14 19:59:27 +0100  Andreas Schwab <schwab@linux-m68k.org>

	* ges/ges-smart-adder.c:
	  ges: remove extra semicolon
	  https://bugzilla.gnome.org/show_bug.cgi?id=726365

2014-03-14 18:48:44 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pipeline.c:
	  pipeline: Always set the encoding profile presence to 1
	  We currenty do not support multiple tracks with same type in GESPipeline
	  and we actually need to set the presence field to avoid a scenario where
	  we have only video in a video track, and no audio in the audio track. So
	  audiotestsrc is used and we end up encoding the whole audio stream but
	  no decoded video frame as reached the decodebin src pad, so the pad
	  has not been created and thus it will not be linked to the encodebin.
	  On the audio part, the EOS will be emitted so fast that the resulting stream will
	  not have any video in it as the muxer will not even have a video pad created.
	  Setting the presence will ensure that the muxer does have a video pad
	  (because of how encodebin behaves) and thus will create a pad for it
	  and wait for its EOS.

2014-03-10 11:18:21 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-title-source.h:
	  title-source: Rename ges_title_clip_set_backrgound_colour as appropriate
	  The method was badly called _clip_ instead of _source_ we have not release the API
	  so we still can change it.

2014-03-08 11:26:13 +0000  Dan Williams <dcbw@redhat.com>

	* ges/ges-project.c:
	  ges: fix finalize/dispose mixup
	  https://bugzilla.gnome.org/show_bug.cgi?id=725918

2014-03-07 14:48:06 -0600  Dan Williams <dcbw@redhat.com>

	* ges/ges-clip-asset.c:
	* ges/ges-container.c:
	* ges/ges-formatter.c:
	* ges/ges-project.c:
	* ges/gstframepositionner.c:
	  ges: Ensure GObject finalize and dispose methods chain up to parents
	  https://bugzilla.gnome.org/show_bug.cgi?id=725918

2014-03-07 09:28:16 -0600  Dan Williams <dcbw@redhat.com>

	* ges/ges-base-xml-formatter.c:
	  Fix use-after-free in _free_pending_clip()
	  https://bugzilla.gnome.org/show_bug.cgi?id=725855

2014-02-28 09:37:01 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From fe1672e to bcb1518

2014-02-26 04:36:11 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* docs/design/encoding-research.txt:
	* docs/design/metadata.txt:
	* ges/ges-pitivi-formatter.c:
	* ges/ges-pitivi-formatter.h:
	  Update the documentation to use Pitivi instead of PiTiVi

2014-02-26 04:17:36 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* ges/ges-base-effect.c:
	* ges/ges-effect-clip.c:
	* ges/ges-effect.c:
	* ges/ges-test-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-transition-clip.c:
	  Remove "#" from short-description
	  It breaks the display in the index.html page.

2014-02-18 22:14:00 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* ges/ges-asset.c:
	* ges/ges-extractable.c:
	  Minor documentation fixes: GESExtractable, GESAsset

2014-02-26 22:16:13 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1a07da9 to fe1672e

2014-02-18 12:40:06 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	  docs: Fix documentation about copying timeline elements

2014-02-17 13:33:51 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Make sure not to add 2 times a TrackElement in the same track
	  Without that, if a UriClip contains several tracks of a same type (ie.
	  video or audio...), we would add all the TrackElements to each track
	  making everything failling as we end up with several GNL sources at
	  the same position with the same priority.

2014-02-17 12:34:04 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-enums.c:
	* ges/ges-enums.h:
	* ges/ges-pipeline.c:
	* tests/check/ges/integration.c:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tests/examples/overlays.c:
	* tests/examples/test4.c:
	* tests/examples/text_properties.c:
	* tests/examples/thumbnails.c:
	* tests/examples/transition.c:
	* tools/ges-launch.c:
	  Rename TIMELINE_MODE_XXX to GES_PIPELINE_MODE_XXX so it corresponds to reality
	  First, it was not in any namespace, second the name of the enum is
	  GESPipelineFlags.

2014-02-14 13:20:31 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	  ges: Give a reference to the formatter for the idle callback
	  This avoid segfault as we are not guaranteed that the formatter will
	  not be destroyed in the meantime.
	  + Minor cleanup of handling of private members
	  https://bugzilla.gnome.org/show_bug.cgi?id=724337

2014-02-09 23:50:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-meta-container.c:
	* ges/ges-pitivi-formatter.c:
	  ges: Remove unused functions

2014-02-08 20:19:53 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-group.c:
	  ges-group: Properly check for integer underflows
	  error: comparison of unsigned expression < 0 is always false

2014-02-08 20:18:11 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-extractable.c:
	  ges-extractable: Return NULL instead of G_TYPE_INVALID
	  The return type of this function is gchar *, not GType

2014-02-05 00:10:52 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-enums.h:
	  ges: Some documentation cleanup

2014-02-04 13:58:48 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests:integration: Fix a race about get_position being called before AYNC_DONE happens

2014-02-04 10:45:58 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* bindings/python/examples/simple.py:
	* docs/libs/ges-sections.txt:
	* ges/ges-pipeline.c:
	* ges/ges-pipeline.h:
	* tests/check/ges/integration.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.c:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tests/examples/overlays.c:
	* tests/examples/simple1.c:
	* tests/examples/test1.c:
	* tests/examples/test2.c:
	* tests/examples/test3.c:
	* tests/examples/test4.c:
	* tests/examples/text_properties.c:
	* tests/examples/thumbnails.c:
	* tests/examples/transition.c:
	* tools/ges-launch.c:
	  ges-pipeline: Rename add_timeline to set_timeline
	  API BREAKAGE:
	  - ges_pipeline_add_timeline
	  + ges_pipeline_set_timeline

2014-01-16 15:25:06 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-uri-asset.c:
	  uri-asset: Let a chance for user to change URI if the set one is not readable
	  It sounds like the most logical thing to do in that case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=721111

2014-01-15 19:12:08 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-video-source.c:
	* ges/ges-video-uri-source.c:
	  videosource: Always add a deinterlace at the beining of videosrcbin
	  It might be needed in some cases (for example when decoding prores files) and
	  it is the way it is done with playbin now. Also deinterlace now properly supports
	  passtrough mode.

2014-01-27 15:30:40 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-asset.c:
	* tests/check/ges/project.c:
	* tests/check/ges/uriclip.c:
	  ges-asset: Do not forget to give a ref to the registry
	  + Add test in the testsuite
	  + Fix broken tests
	  https://bugzilla.gnome.org/show_bug.cgi?id=721111

2014-01-30 10:46:09 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d48bed3 to 1a07da9

2014-01-09 18:13:00 +0100  Mathieu Duponchelle <mduponchelle1@gmail.com>

	* ges/ges-track-element.c:
	  track-element: clamp interpolated keyframe values.

2014-01-10 00:05:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  .gitignore: add test driver and more test binaries

2013-12-27 10:08:47 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	  base-xml-formatter: Emit 'loaded' right after a project with empy timeline is loaded
	  https://bugzilla.gnome.org/show_bug.cgi?id=720040

2013-12-24 15:34:51 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-audio-test-source.h:
	* ges/ges-audio-uri-source.h:
	* ges/ges-image-source.h:
	* ges/ges-internal.h:
	* ges/ges-title-source.h:
	* ges/ges-video-test-source.h:
	* ges/ges-video-uri-source.h:
	  track-element: Remove constructors for TrackElement from the API
	  Most of the time the user should not create GESTrackElements
	  himself, instead he should add a GESAsset to a layer, that will
	  result in a clip creation and the proper TrackElements to be
	  created and added to the tracks.
	  The case of effects and overlays is a bit different as the user should
	  create the TrackElement and add them to a clip.

2013-12-24 15:08:24 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-effect-clip.c:
	* ges/ges-effect.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-timeline.c:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* ges/ges-track.c:
	  ges: Remove versionning infos now that we start on the 1.X API serie
	  They are now meaningless, all the current symbols are the basic
	  ones for the 1.X serie.

2013-12-24 14:34:09 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.h:
	* ges/ges-effect-asset.h:
	* ges/ges-smart-adder.h:
	* ges/ges-smart-video-mixer.h:
	* ges/ges-xml-formatter.h:
	* ges/gstframepositionner.h:
	  ges: Add padding for API extension where missing

2013-12-22 22:36:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From dbedaa0 to d48bed3

2013-11-28 15:13:06 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-timeline.c:
	  ges: Reimplement 'always create a project to back a timeline'
	  Keeping it simple, and making sure everything is synchronous

2013-11-28 15:08:33 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-timeline.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/group.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/mixers.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	  Revert "ges: Always create a project to back a timeline"
	  This reverts commit 59d83f1a93055391097e7c1fe34f5a39eb8ec625.
	  Conflicts:
	  tests/check/ges/backgroundsource.c
	  tests/check/ges/effects.c
	  tests/check/ges/overlays.c
	  tests/check/ges/simplelayer.c
	  tests/check/ges/text_properties.c
	  tests/check/ges/titles.c

2013-11-25 15:17:33 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-timeline.c:
	  timeline: Add all assets of the clip added to the timeline to the project

2013-11-22 17:49:49 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* docs/libs/ges.types:
	* ges/Makefile.am:
	* ges/ges-base-effect-clip.c:
	* ges/ges-effect-clip.c:
	* ges/ges-simple-layer.c:
	* ges/ges-simple-layer.h:
	* ges/ges-transition-clip.c:
	* ges/ges.h:
	* tests/check/Makefile.am:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/titles.c:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tests/examples/simple1.c:
	* tests/examples/test3.c:
	* tests/examples/test4.c:
	* tests/examples/thumbnails.c:
	* tools/ges-launch.c:
	  Remove GESSimplerLayer, that API should land into GESLayer in the end
	  The priority handling of clip is now handled by GESLayer itself, and
	  handling clip as a ordered list should be implemented in GESLayer itself
	  too, this way the user can decide to switch mode at any time instead of

2013-11-22 17:36:12 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-layer.c:
	  layer: Set clip start to the duration of the layer if == TIME_NONE
	  In the provided start of a clip is GST_CLOCK_TIME_NONE in
	  ges_layer_add_asset, it means that we want the clip to be
	  added at the end of the layer

2013-11-22 17:33:18 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-layer.c:
	* ges/ges-layer.h:
	  layer: Add an API to get the total duration of the layer
	  API:
	  ges_layer_get_duration

2013-11-22 17:23:31 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	  Remove the android/ toplevel directory
	  To build gstreamer for android we are now using androgenizer which
	  generates the needed Android.mk files. Androgenizer can be found here:
	  * http://cgit.collabora.com/git/android/androgenizer.git/

2013-11-13 13:18:00 +0100  Lubosz Sarnecki <lubosz@gmail.com>

	* ges/Makefile.am:
	* ges/ges-gerror.h:
	* ges/ges-timeline.c:
	* ges/ges-track-element.c:
	* ges/ges-uri-asset.c:
	* ges/ges-utils.c:
	* ges/ges-utils.h:
	  gir: fix warnings

2013-11-18 13:41:07 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-video-uri-source.c:
	  video-uri-source: Handle interlaced videos
	  https://bugzilla.gnome.org/show_bug.cgi?id=710168

2013-11-14 16:17:31 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Let user set the track types to use

2013-11-09 09:55:39 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* bindings/python/examples/material.py:
	  python: Remove old material.py example

2013-11-09 09:51:55 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Dot the pipeline on state changes and warnings

2013-11-09 09:49:03 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/gstframepositionner.c:
	  framepositionner: Fix the range of properties dealing with number of pixels
	  This way it is possible to interpolate those values.

2013-11-09 09:47:21 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-timeline.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/group.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/mixers.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	  ges: Always create a project to back a timeline
	  And fix all the tests as we need to wait for the project to be loaded
	  to check the reference count of the timeline (as we keep a ref on the
	  timeline in project to later emit "loaded" on idle).

2013-11-09 09:46:10 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* bindings/python/examples/simple.py:
	  bindings: Cleanup and fix simple python example

2013-11-05 11:23:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 865aa20 to dbedaa0

2013-10-17 15:16:00 +0200  Kishore Arepalli <kishore.arepalli@gmail.com>

	* ges/ges-audio-source.c:
	* ges/ges-image-source.c:
	* ges/ges-pipeline.c:
	* ges/ges-smart-adder.c:
	* ges/ges-smart-video-mixer.c:
	* ges/ges-source.c:
	* ges/ges-title-source.c:
	* ges/ges-track.c:
	* ges/ges-video-track.c:
	  ges: Fix several memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=710390

2013-10-30 00:27:36 +0100  Mathieu Duponchelle <mduponchelle1@gmail.com>

	* ges/ges-clip.c:
	  track-element: add start to the position to which we wish we split the bindings.
	  The bindings split is relative to the beginning of the clip.

2013-10-29 07:59:22 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Fix the find_track_element method
	  What we want is to be able to find a TrackElement by its type, and
	  possibly specify a Track where to look into.

2013-10-15 10:57:31 +0200  Kishore Arepalli <kishore.arepalli@gmail.com>

	* ges/ges-extractable.h:
	* ges/ges-formatter.h:
	* ges/ges-uri-asset.h:
	  ges-formatter: don't use 'class' as function argument name in headers
	  It's a keyword in C++ and C++ compilers won't like it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=710172

2013-10-11 17:00:22 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-asset.c:
	* ges/ges-uri-asset.c:
	  uri-asset: Check if file exists before trying it as a proxy
	  This avoids:
	  1- discovering file that we know do not exist
	  2- proposing the current proxy path (that failed) as a possible proxy
	  which lead to errors

2013-10-11 17:05:03 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Remember URIS that we tried to discover
	  So we do not fail several time trying to discover the same URI
	  Conflicts:
	  tools/ges-launch.c

2013-10-08 13:45:55 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-formatter.c:
	  formatter: Try to use best formatter first

2013-10-09 20:07:14 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-audio-source.c:
	  audiosource: Add audioconvert and audioresample before the volume element
	  https://bugzilla.gnome.org/show_bug.cgi?id=709777

2013-10-01 20:07:10 +0200  Mathieu Duponchelle <mduponchelle1@gmail.com>

	* ges/ges-timeline.c:
	  timeline: pass the correct argument to disconnect_by_func.
	  fixes #709205

2013-09-28 21:07:10 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	  Back to development

=== release 1.1.90 ===

2013-09-28 20:49:13 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ChangeLog:
	* configure.ac:
	  Release 1.1.90

2013-09-28 18:09:49 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-clip.h:
	  clip: Return the newly created TrackElement when adding an asset
	  This is a minor API change

2013-09-28 15:42:20 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Add a signal to know when it is commited

2013-09-27 02:56:44 +0200  MathieuDuponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-clip.c:
	  clip: split_bindings at position * + inpoint*

2013-09-25 23:52:46 +0200  MathieuDuponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-video-track.c:
	  video-track: update gaps framerate along with restriction caps.

2013-09-25 19:48:45 +0200  MathieuDuponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-xml-formatter.c:
	  xml-formatter: add support for restriction caps.

2013-09-05 01:03:51 +0200  Simon Corsin <mathieu.duponchelle@epitech.eu>

	* ges/ges-video-source.c:
	* ges/gstframepositionner.c:
	* ges/gstframepositionner.h:
	  video-source: Add a videorate in video-source.
	  And control it in framepositionner.
	  Conflicts:
	  ges/ges-video-source.c

2013-09-24 18:35:56 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 6b03ba7 to 865aa20

2013-09-22 21:56:14 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/clip.c:
	* tests/check/ges/layer.c:
	  tests: Make sure not to test freed objects type

2013-09-16 13:30:33 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pipeline.c:
	  pipeline: Let some queuing in encodebin
	  It is sometimes necessary

2013-09-16 11:19:13 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pitivi-formatter.c:
	* tests/examples/ges-ui.c:
	  examples: Make project loading more generic
	  Pitivi formatter is deprecated, do not use it by default

2013-09-16 11:16:18 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/Makefile.am:
	* ges/ges.c:
	* ges/ges.h:
	* tests/examples/ges-ui.c:
	* tests/examples/ges-ui.glade:
	  Revert "ges: Disable the Pitivi formatter"
	  This reverts commit e54ceff7204e712daa9949ef41b73d96035a0446.
	  Let's just keep it... it does not cost anything.

2013-09-20 16:19:06 +0200  Edward Hervey <edward@collabora.com>

	* common:
	  Automatic update of common submodule
	  From b613661 to 6b03ba7

2013-09-19 18:46:26 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 74a6857 to b613661

2013-09-19 17:39:44 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 12af105 to 74a6857

2013-09-14 04:19:57 +0200  Joris Valette <joris.valette@gmail.com>

	* tests/check/ges/timelineedition.c:
	  tests: timelineedition: cast start and duration values as guint64

2013-09-13 20:38:43 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Handle path for project uri

2013-09-13 20:37:58 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-xml-formatter.c:
	  formatter: Keep timeline duration as a meta

2013-09-12 18:34:55 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* tools/ges-launch.c:
	  ges-launch: Make it possible to provid pathes to look for moved asset
	  For example if a project was sent from someone else thus the pates in
	  there are meaningless on the other computer, we need to be able
	  to specify a list of pathes where the files are.
	  + Fix documentation

2013-09-12 09:05:51 +0200  Kishore Arepalli <kishore.arepalli@gmail.com>

	* ges/ges-pipeline.c:
	  ges-pipeline: Don't unref buffer obtained from a GstSample
	  https://bugzilla.gnome.org/show_bug.cgi?id=707914

2013-09-10 18:17:57 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/integration.c:
	  tests: integration: set restriction_caps on the video encoding profile
	  We need this cause now videomixer renegotiates downstream.

2013-09-09 12:47:32 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pipeline.c:
	* ges/ges.c:
	  pipeline: Create it through a factory
	  Making it possible to use it with GstValidate LD_PRELOAD feature

2013-09-09 12:47:02 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-pipeline.c:
	* ges/ges-pipeline.h:
	* tests/examples/thumbnails.c:
	  pipeline: Finnish renaming from GESTimelinePipeline

2013-09-08 19:27:04 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/timelineedition.c:
	  tests: timelineedition: Minor cleanups

2013-09-08 19:19:24 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Make sure we do not move object when only trimming
	  We were missing a few checks so that we do not move objects when their
	  duration is equal to the max duration, or 0

2013-09-07 12:59:17 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Avoid setting duration > max_duration when rippling
	  We should use the trimming method to set duration to make sure to avoid
	  going over the max duration.
	  Also avoid computing when setting duration to the same old value.

2013-09-07 02:11:23 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* ges/ges-group.c:
	* ges/ges-timeline.c:
	* tests/check/ges/timelineedition.c:
	  ges: Handle trimming in groups
	  This was broken, clips where moving all around, make it behave properly.

2013-09-07 02:10:12 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Make ripple start be trimming
	  This is a more natural behaviour as a user instead of doing nothing at
	  all.

2013-09-03 20:50:54 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-audio-source.c:
	* ges/ges-video-source.c:
	  ges: Make GESAudioSource and GESVideoSource abstract

2013-08-22 23:06:38 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/gstframepositionner.c:
	  gstframepositionner: correctly tag metadata.
	  We do not use GST_VIDEO_META_TAG_STR as it would mean depending on
	  GstVideo which is not the case right now

2013-09-01 12:19:32 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-video-source.c:
	  videosource: Make sure to update z-order when layer priority changes
	  Conflicts:
	  ges/ges-video-source.c

2013-09-01 12:18:53 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	  timeline-element: Add a set_parent vmethod
	  API:
	  GESTimelineElment->set_parent vmethod

2013-08-29 11:35:30 +0200  Simon Corsin <simoncorsin@gmail.com>

	* tests/check/ges/timelineedition.c:
	  tests: timelineedition: Add a test_scaling.
	  It will check that the clip updates its size correctly.

2013-08-25 17:08:00 +0200  Simon Corsin <simoncorsin@gmail.com>

	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	  test-utils: Adds a utility function to quickly check the timeline.

2013-08-15 20:12:30 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-video-transition.c:
	  videotransition: No need to hard set width and height anymore.

2013-08-21 11:32:45 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-video-source.c:
	* ges/gstframepositionner.c:
	* ges/gstframepositionner.h:
	  gstframepositionner: Install width and height properties.
	  + And manage them properly.

2013-08-17 14:57:15 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-audio-track.c:
	* ges/ges-internal.h:
	* ges/ges-track.c:
	* ges/ges-track.h:
	  ges-track: Add the notion of resriction caps to GESTrack
	  This way we can let the user determine what he want to come out of the
	  track.
	  API:
	  - ges_track_set_caps (The track caps are now construct only)
	  + ges_track_set_restriction_caps
	  + ges_track_get_restriction_caps
	  + GESTrack.props.restriction_caps

2013-07-09 15:31:15 +0200  Simon Corsin <simoncorsin@gmail.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* docs/libs/ges.types:
	* ges/Makefile.am:
	* ges/ges-audio-source.c:
	* ges/ges-audio-source.h:
	* ges/ges-audio-test-source.c:
	* ges/ges-audio-test-source.h:
	* ges/ges-audio-uri-source.c:
	* ges/ges-audio-uri-source.h:
	* ges/ges-image-source.c:
	* ges/ges-image-source.h:
	* ges/ges-source.c:
	* ges/ges-source.h:
	* ges/ges-title-source.c:
	* ges/ges-title-source.h:
	* ges/ges-types.h:
	* ges/ges-uri-asset.c:
	* ges/ges-uri-clip.c:
	* ges/ges-uri-source.c:
	* ges/ges-uri-source.h:
	* ges/ges-video-source.c:
	* ges/ges-video-source.h:
	* ges/ges-video-test-source.c:
	* ges/ges-video-test-source.h:
	* ges/ges-video-uri-source.c:
	* ges/ges-video-uri-source.h:
	* ges/ges.h:
	* tests/check/ges/uriclip.c:
	  GES: Add GESVideoSource and GESAudioSource base classes
	  + Update documentation.
	  + Implements subclasses audio-uri-source and video-uri-source

2013-07-03 18:27:00 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-audio-test-source.c:
	* ges/ges-video-test-source.c:
	  testsource: Handle child properties as child properties
	  Makes $make check pass.
	  Standardizes property handling.

2013-07-02 11:12:00 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-internal.h:
	* ges/ges-source.c:
	  source: Make a ges_source_create_topbin internal helper method

2013-06-27 14:20:00 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-audio-test-source.c:
	* ges/ges-image-source.c:
	* ges/ges-source.c:
	* ges/ges-source.h:
	* ges/ges-title-source.c:
	* ges/ges-uri-source.c:
	* ges/ges-uri-source.h:
	* ges/ges-video-test-source.c:
	  ges-source: Move common elements handling to the base class
	  + And port all the subclasses

2013-09-02 13:57:15 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: Do not forget to initialize the timeline before using it

2013-09-02 00:19:30 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ges/ges-xml-formatter.c:
	  ges-xml-formatter: use g_ascii_dtostr() instead of messing with setlocale()
	  Libraries shouldn't use setlocale().

2013-09-01 00:46:45 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-xml-formatter.c:
	  xml-formatter: set LC_NUMERIC locale before saving values.
	  Avoiding to save ',' instead of '.' for floats in certain locals

2013-08-29 23:45:56 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-video-transition.c:
	  video-transition: Keep switch transition type simple
	  Also make sure there is a proper default value for transition type.

2013-08-30 20:32:56 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  launch: Simplify encoding profile description
	  Use a 'simple' synthax to describe encoding profiles

2013-08-30 20:03:16 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  launch: Make it easier to render project
	  Now providing an output uri is enough to tell that you want to render.
	  It will use project rendering infos when possible, missing a way to
	  specify which info if various are disponnible (we use the first one
	  right now).
	  + Make options more logical now, -l mean --load, and -r means repeat

2013-08-30 18:45:31 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: No autotrans between elements in same toplevel container
	  This makes no sense, we ended up creating/removing tons of transition
	  while moving groups

2013-08-29 11:10:33 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/Makefile.am:
	* ges/ges.c:
	* ges/ges.h:
	* tests/examples/ges-ui.c:
	* tests/examples/ges-ui.glade:
	  ges: Disable the Pitivi formatter
	  It lacks to many feature and the code is too bad, desactivation until
	  someone comes and fix it... The code should be removed if it never
	  happens

2013-08-28 19:56:29 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-clip.c:
	  ges-clip: when a child, is removed, disconnect from its notifies.

2013-08-27 19:12:26 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: Make use of g_assert_no_error when it makes sense

2013-08-27 18:40:55 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/Makefile.am:
	  tests: Let use 20 sec to execute tests

2013-08-26 23:31:14 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-base-effect.c:
	* ges/ges-effect.c:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* ges/ges-uri-source.c:
	  trackelement: Simplify the way we handle children properties
	  So subclass do not have to implement a new logic all the time, but
	  instead can use a simple method to add properties as needed.

2013-08-26 19:26:08 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.c:
	* ges/ges-clip.h:
	* ges/ges-effect-clip.c:
	* ges/ges-test-clip.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-title-clip.c:
	* ges/ges-track-element.c:
	* ges/ges-transition-clip.c:
	* ges/ges-uri-clip.c:
	  clip: Remove the ges_clip_fill_track method
	  Its was only use by the old custom source which is dead now.
	  API:
	  Remove ges_clip_fill_track
	  https://bugzilla.gnome.org/show_bug.cgi?id=706855

2013-08-26 19:15:08 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* docs/libs/ges.types:
	* ges/Makefile.am:
	* ges/ges-custom-source-clip.c:
	* ges/ges-custom-source-clip.h:
	* ges/ges-types.h:
	* ges/ges.h:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/timelineedition.c:
	  ges: Remove custom clip
	  If you want a custom clip then you have to subclass GESClip,
	  This class was pre historicall and only used for testing purposes, we
	  have GESTestClip for that.
	  https://bugzilla.gnome.org/show_bug.cgi?id=706855

2013-08-26 19:25:20 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* acinclude.m4:
	  Remove acinclude.m4 as we do not use it
	  and it is anyway removed by autogen.sh

2013-08-26 18:56:49 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  integration: Add titles test

2013-08-26 17:41:14 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* bindings/python/gi/overrides/GES.py:
	  python: Do not initialize GES at import time

2013-08-24 18:21:26 +0100  Tim-Philipp Müller <tim@centricular.net>

	* tests/check/ges/test-utils.c:
	  tests: fix NULL pointer dereference, ternary operator silliness and message type use

2013-08-24 11:39:11 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/test-utils.c:
	  tests: Give more debugging info when samples could not be generated

2013-08-24 02:41:07 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/Makefile.am:
	* tests/check/ges/project.c:
	  tests: Fix make distcheck
	  We need to make sure that we can write to the directory where we save
	  project files, so doing it in the tmp folder.
	  + Properly dist test data files

2013-08-13 18:05:55 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-clip.c:
	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	  trackelement: split bindings correctly.

2013-08-13 17:57:33 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-track-element.c:
	  trackelement: update control bindings correctly.
	  When duration or inpoint change, we need to remove edge control points,
	  and set new control points with interpolated values.
	  Also when duration == 0, we need to remove all control points, as otherwise
	  the controller will raise !is_end assertions.
	  It's the duty of the application to set keyframes back when duration gets
	  != 0 again.

2013-08-12 21:25:31 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-container.c:
	  container: resort children after prepending an element.

2013-08-12 16:13:40 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-timeline.c:
	  timeline: when there are no objects anymore, set duration to 0.

2013-08-12 15:01:53 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-audio-track.c:
	* ges/ges-audio-track.h:
	  ges-audio-track: Change contructor prototype.
	  We return an AudioTrack.

2013-08-11 20:06:49 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* docs/libs/ges-sections.txt:
	* ges/ges-pipeline.c:
	* ges/ges-pipeline.h:
	  pipeline: add a get_mode method.

2013-08-07 19:37:49 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-xml-formatter.c:
	  basexmlformatter: Only set timeline auto transitions when done loading.

2013-08-07 16:12:27 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/integration.c:
	  integration: make test_basic be two concatenated clips.

2013-08-20 08:22:24 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-formatter.c:
	  formatter: Plug leaks in the can_save_to_uri method
	  https://bugzilla.gnome.org/show_bug.cgi?id=679941

2013-08-19 15:13:48 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pipeline.c:
	  pipeline: Remove the dynamic lock
	  We actually do not need it has everywhere where we would need it we are
	  already locked against the timeline.dyn_lock, we need to make sure it is
	  always the case in the future.
	  The hierarchy of the mutex was wrong and could possibly lead to
	  deadlocks

2013-08-19 15:12:48 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-formatter.c:
	* ges/ges-formatter.h:
	  formatter: Remove the unsed can_save_uri vmethod
	  This virtual method does not make much sense right now, we might need it
	  again later, but most probably with a sensibly different API so removing
	  it for now.

2012-07-20 14:19:01 +0200  Paul Lange <palango@gmx.de>

	* ges/ges-formatter.c:
	  ges-formatter: Check if directory of URI is writeable
	  https://bugzilla.gnome.org/show_bug.cgi?id=679941

2013-08-06 18:35:24 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Rework the way we handle seeking while fully paused
	  The idea is that we should first play until the time we reach the first
	  position, at that point we PAUSE the pipeline, then, afterward do the
	  seeks as asked.
	  If we get the position before the ASYNC DONE, just accept it.

2013-08-05 01:07:36 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: PNG file was renamed to png.png

2013-08-04 17:46:33 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Add a list tests only option
	  Also add an empty filed in the GOptionEntry array avoiding segfaults

2013-08-02 14:23:13 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* configure.ac:
	  build: add subdir-objects to AM_INIT_AUTOMAKE
	  Fixes warnings with automake 1.14
	  https://bugzilla.gnome.org/show_bug.cgi?id=705350

2013-08-04 17:35:20 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Only use 2 layers for the mixing for now
	  + Call the TSuite "integration" instead of "render"

2013-08-04 16:14:42 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: check: All assets moved to assets/

2013-08-03 17:01:22 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Make it possible to list all avalaible tests
	  You can not use make check-integration --list-tests, you have to use
	  ./integration --list-tests instead

2013-08-02 14:16:26 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Add support for group-id in the stream-start event

2013-08-01 18:14:36 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  Fix compilation

2013-08-01 17:56:16 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Avoid leak

2013-08-01 17:47:50 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Do not forget to set encoding profiles

2013-07-18 23:09:51 +0200  Vasilis Liaskovitis <vliaskov@gmail.com>

	* tests/check/ges/integration.c:
	  integration: add mixing tests
	  Add a new test that creates a given number of layers. Each layer has the same
	  assets / clips shifted by a different amount in the timeline. Alpha and volume
	  properties are different for each layer. This test is similar to the mixer
	  example in:
	  http://gist.github.com/MathieuDuponchelle/5736992#file-mixit-py
	  We should be able to add more clips to each layer, but this example test only
	  tests mixing 1 clip across 4 layers.
	  Conflicts:
	  tests/check/ges/integration.c

2013-08-01 11:31:16 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/integration.c:
	  tests/integration: display test name when running it.

2013-08-01 11:32:44 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/assets/png.png:
	* tests/check/ges/integration.c:
	  tests/integration: add an asset directory.

2013-07-23 01:50:28 +0200  Vasilis Liaskovitis <vliaskov@gmail.com>

	* tests/check/ges/integration.c:
	  integration: add seek tests to paused pipeline (no playing)
	  This second set of seeking tests performs the seeks in a PAUSED
	  pipeline. After all seeks are successful, the pipeline is resumed so that the
	  test does not timeout.
	  Conflicts:
	  tests/check/ges/integration.c

2013-07-19 00:40:00 +0200  Vasilis Liaskovitis <vliaskov@gmail.com>

	* tests/check/ges/integration.c:
	  integration: add paused pipeline seek tests

2013-07-16 19:42:53 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/integration.c:
	  tests/integration: adds image_filename in the test generation macro

2013-07-27 10:18:30 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	  project: Make sure error-loading-asset is emited when needed
	  In case ges_project_try_updating_id would be called from outside ges-project the signal
	  was not emitted, change that.
	  + Add some debugging

2013-07-24 22:37:06 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	  timeline: Add methods to get and set the snapping distance

2013-07-24 14:26:18 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	  clip: Fix the spliting method
	  We should make sure that the newly created trackelement are inside
	  a container when adding them to as this is needed for GESUriClip-s.
	  Also do not try to set a child property on the TrackElement itself.
	  https://bugzilla.gnome.org/show_bug.cgi?id=703152

2013-07-23 19:20:34 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Let the user mute the tests when needed
	  Add an environment variable so the user can make sur that
	  integration tests use fakesinks instead of real sinks

2013-07-22 20:06:25 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/mixers.c:
	  tests: Make sure we can have the results into an XML file

2013-07-21 21:41:13 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pipeline.c:
	  pipeline: Check that the profile could actually be set on the encodebin
	  Setting the profile on an encodebin can fail, and if that happens, there
	  will be no profile set at all, we should return FALSE in GESPipeline
	  when that happens

2013-07-01 16:27:54 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* android/ges.mk:
	* docs/libs/architecture.xml:
	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* docs/libs/ges.types:
	* ges/Makefile.am:
	* ges/ges-enums.h:
	* ges/ges-pipeline.c:
	* ges/ges-pipeline.h:
	* ges/ges-timeline-pipeline.c:
	* ges/ges-timeline-pipeline.h:
	* ges/ges-types.h:
	* ges/ges.h:
	* tests/check/ges/basic.c:
	* tests/check/ges/integration.c:
	* tests/check/ges/mixers.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tests/examples/overlays.c:
	* tests/examples/simple1.c:
	* tests/examples/test1.c:
	* tests/examples/test2.c:
	* tests/examples/test3.c:
	* tests/examples/test4.c:
	* tests/examples/text_properties.c:
	* tests/examples/thumbnails.c:
	* tests/examples/transition.c:
	* tools/ges-launch.c:
	  Rename GESTimelinePipeline to GESPipeline
	  rename ges_timeline_pipeline methods to ges_pipeline

2013-07-17 22:48:17 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Add some pipeline dumps
	  When we go to PLAYING, or when we get an error on the bus
	  + Activate the hack so that we dump the pipeline on first buffer
	  pushed by the smart adder

2013-07-17 22:47:31 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Add video/audio only basic tests

2013-07-17 20:54:20 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-uri-asset.c:
	* tests/check/ges/integration.c:
	  tests: integration: Give some more information to user on errors

2013-07-17 18:34:22 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: intergration: Add some more encoding profiles

2013-07-17 16:09:29 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Give the user more details about failure when checking transcoded file

2013-07-17 16:06:09 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Be more precise with namings
	  Fully define formats in the namings
	  + Add an mp3 + h264 in mov test

2013-07-17 13:06:05 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Refactor and make easier to add encoding profiles

2013-07-17 12:31:02 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/Makefile.am:
	* tests/check/ges/integration.c:
	  tests: integration: Add audio/video only seeking tests

2013-07-17 12:05:26 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: integration: Remove the effect in test_seeking
	  It complexifies the test but this is not what we actually want in
	  that test

2013-07-16 21:58:16 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: Remove prints
	  And use GST_DEBUG and friends instead

2013-07-14 14:03:46 +0200  Vasilis Liaskovitis <vliaskov@gmail.com>

	* tests/check/ges/integration.c:
	  integration: some fixes for seek tests
	  - Use g_list_remove_link so that ordering of seeks is not mandatory
	  - use g_slice allocator for SeekInfo structs
	  - Fix leak in freeing seek list
	  - Check for NULL seeks at end of test, otherwise fail and free failed seeks

2013-07-13 15:15:04 +0200  Vasilis Liaskovitis <vliaskov@gmail.com>

	* tests/check/ges/integration.c:
	  integration: add SeekInfo and get_position callback for seek tests
	  A Seekinfo structure consists of 2 fields:
	  - position: the position to seek to
	  - seeking_position: the position to perform the seek from
	  Seeks can be appended to a global list e.g. from code:
	  seeks = g_list_append (seeks, new_seek_info (0.2 * GST_SECOND, 0.6 * GST_SECOND));
	  seeks = g_list_append (seeks, new_seek_info (1.0 * GST_SECOND, 1.2 * GST_SECOND));
	  seeks = g_list_append (seeks, new_seek_info (1.5 * GST_SECOND, 1.8 * GST_SECOND));
	  The get_position callback checks the current position and attempts to perform
	  the corresponding seek with gst_element_seek_simple

2013-07-02 20:50:05 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-uri-clip.c:
	  ges-uri-clip: Add the possibility to specify an assets directory
	  through the GES_TESTING_ASSETS_DIRECTORY environment variable.

2013-07-12 19:44:46 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/integration.c:
	  tests: Simplifie integration tests using macros all around

2013-04-26 00:03:21 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/ges/integration.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	  tests: Add integration tests
	  Those are test with real media files, they are run separetely from other
	  unit tests using the make check-integration command (can be done from
	  the toplevel directory)

2013-04-28 00:22:42 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	  test-utils: Add test file generation code.

2013-06-28 15:49:03 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-track-element.c:
	  track-element: No need to log when prio == MIN_GNL_PRIO.

2013-06-27 23:33:21 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/gstframepositionner.c:
	  framepositionner: fix messup with propname enum.

2013-06-26 23:23:59 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-track.c:
	* ges/ges-track.h:
	  track: Make it possible to disable the mixing feature
	  API:
	  ges_track_set_mixing
	  ges_track_get_mixing

2013-06-29 00:17:31 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-timeline.c:
	  timeline: create_transitions_on_layer *before* actually commiting
	  Everything need to be in place before commiting, otherwize it makes no
	  sense at all.

2013-07-12 11:55:46 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-group.c:
	* ges/ges-group.h:
	  group: Add an empty group constructor
	  As it is more intuitive for users.
	  API:
	  ges_group_new

2013-07-10 23:33:51 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-group.c:
	  container/group/clip: Allow creating an empty group.
	  This is a legitimate use case.

2013-07-10 21:24:28 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* ges/ges-group.c:
	* ges/ges-timeline.c:
	  container: Add a 'recursive' argument to the get_children method
	  API:
	  - ges_container_get_children (GESContainer *container);
	  + ges_container_get_children (GESContainer *container, gboolean recurse);

2013-07-11 02:16:19 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-group.c:
	  group: set priv->setting_value to TRUE when moving ourselves in _child_removed

2013-07-10 23:15:17 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-element.c:
	* tests/check/ges/group.c:
	  timelineelement: Make sure that we will never set a negative start
	  Currently we can end up overflowing the start of others child of our
	  parent, avoid that making sure we can set our start to what was
	  requested by the user before actually doing it
	  + Add a test

2013-07-09 21:30:59 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Append missing layers when moving groups between layers
	  This was a missing feature of the newly added groups

2013-06-26 17:08:57 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/Makefile.am:
	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* ges/ges-group.c:
	* ges/ges-group.h:
	* ges/ges-internal.h:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	* ges/ges-types.h:
	* ges/ges.c:
	* ges/ges.h:
	* tests/check/Makefile.am:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/group.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/timelineedition.c:
	  ges: Implement a GESGroup class, subclass of GESContainer
	  The GESGroup class is used to group various GESContainer
	  together, it can contain either GESClips or GESGroup or both.

2013-07-07 22:40:55 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-xml-formatter.c:
	  xml-formatter: Indent formatted files

2013-07-03 18:33:05 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	  timeline-element: Add a method to get the topelevel parent of an element
	  API:
	  ges_timeline_element_get_toplevel_parent

2013-07-03 12:48:58 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/transition.c:
	  tests: More safely check if objects where destroyed
	  Check if an object rthat has already been freed has been destroyed is not safe.
	  Add a helper function that uses weak reference to check that objects that are expected
	  to be destroyed when unrefing an object are actually destroyed.

2013-07-02 19:47:48 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Emit the notify::layer signal only when actually needed
	  That means:
	  - only when we do change layer
	  - At the end of moving between two layers

2013-07-02 10:56:40 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Avoid list corruption when grouping objects
	  We are currently iterating over a list that is modified in the same
	  method, we have to get a copy of the list, and iterate over the copy.

2013-07-01 20:35:39 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-internal.h:
	  clip: Add an internal method to easily get the priority of the layer the clip is in

2013-07-01 17:57:03 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: Remove the get_priority_range vmethod
	  We now let full control to subclasses so we do not need it anymore.

2013-07-01 17:51:32 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: Let full control of children priorities to subclasses
	  For that we make the children_control_mode a protected filed, directly usable by
	  subclasses, removing the method to set it.
	  And we let the subclass set and get the priority offsets to the container class.

2013-07-01 16:19:31 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	  track: Make sure that new gaps are filled before removing the old ones
	  Currently we can end up having gaps in track as the first step of the
	  gap filling method removes currently set gaps.

2013-06-29 19:31:23 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* tests/check/ges/effects.c:
	  clip: Handle child priority offsets when setting priority

2013-06-28 19:17:54 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: Do not allow adding an element to a container if it already has a parent
	  This should never happen, an element can have 1 and only 1 parent.

2013-06-28 19:16:47 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: "Implement" the set_priority vmethod
	  This way we will just accept any value setted

2013-06-28 19:15:59 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	  ges: Avoid leaking the timeline when grouping containers

2013-06-28 14:39:16 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: Let subclasses decide when height change should be computed
	  API:
	  - GESContainer.compute_height vmethod
	  + _ges_container_set_height

2013-07-02 13:43:49 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	  base-xml-formatter: s/ducation/duration/

2013-06-28 12:56:17 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: ges_container_ungroup return a transfer full list

2013-06-28 11:23:27 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-clip.h:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* tests/benchmarks/timeline.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/timelineedition.c:
	  ges: Move ges_clip_edit to GESContainer
	  This exact same method will be needed in GESGroup, so we should have the method
	  in the common parent class.
	  API:
	  - ges_clip_edit
	  + ges_container_edit
	  + GESContainer->edit vmethod

2013-06-26 19:55:37 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: Update offsets in GESTimelineElement vmethod implementations
	  So subclasses just have to link up to resync offsets

2013-06-26 17:08:16 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-effect-asset.c:
	* ges/ges-gerror.h:
	  docs: Misc documentation fixes

2013-06-25 18:37:48 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Never try to set the start after the end of an element when trimming

2013-06-25 18:37:17 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-internal.h:
	  internal: Add a macro to make it easier to get the end of a TimelineElement

2013-06-25 18:36:24 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/layer.c:
	  track: Update gaps only when commiting
	  We were still updating them at useless moments, do it only when absolutely needed.

2013-06-25 18:34:44 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: Fix the way we check priority of subclasses when grouping objects
	  The resulting list was from lower to higher, we need the contrary

2013-06-26 16:54:02 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	  ges: Move GESTimelineElemt vmethod implementation from container to clip
	  This is where they belong to has they are specific to that
	  implementation of the baseclass

2013-06-25 18:32:49 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: Make initiated_move a read only protected member
	  It is a interesting information for subclasses.
	  Conflicts:
	  ges/ges-container.c

2013-07-09 10:57:51 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-internal.h:
	  internal: Fix typo in the header
	  ges_base_xml_formatter_add_control_bindingi was meant to be
	  ges_base_xml_formatter_add_control_binding

2013-07-01 23:33:01 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-audio-transition.c:
	* ges/ges-track-element.h:
	* ges/ges-video-transition.c:
	  track-element: Remove duration_changed virtual method.
	  We use notifies for the properties.
	  + Use notifies in audio-transition and video-transition

2013-07-09 00:31:30 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-xml-formatter.c:
	  formatters: Save and load bindings applied to sources.

2013-06-17 07:55:54 +0200  Alban Browaeys <prahal@yahoo.com>

	* tools/ges-launch.c:
	  ges-launch: make it portable to all locales.
	  Call setlocale (LC_ALL, "") as per setlocale man page
	  to make ges-launch portable to all locales (instead of default
	  "C" one).
	  Fixes g_option_context_parse on:
	  $ ges-launch-1.0 --verbose -r -q /home/prahal/Vidéos/Test3.xges -o
	  file:///home/prahal/Test3.mpeg
	  Error initializing: Invalid byte sequence in conversion input
	  The accentuated character in "Vidéos" the french xdg user directory
	  for "Videos" is what is choked upon.
	  https://bugzilla.gnome.org/show_bug.cgi?id=702425

2013-06-28 00:24:33 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ges/ges-timeline-pipeline.c:
	  timelinepipeline: fix caps leak

2013-06-26 12:57:17 +0000  Руслан Ижбулатов <lrn1986@gmail.com>

	* ges/ges-timeline-pipeline.c:
	  timelinepipeline: make the caps from encoding profile writable
	  https://bugzilla.gnome.org/show_bug.cgi?id=703121

2013-06-23 18:27:41 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-uri-source.c:
	  urisource: Do not let user reset the URI property
	  This is not supported right now and would lead to unexpected behaviours

2013-06-03 23:02:15 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/Makefile.am:
	* ges/ges-smart-video-mixer.c:
	* ges/ges-uri-source.c:
	* ges/ges.c:
	* ges/gstframepositionner.c:
	* ges/gstframepositionner.h:
	  ges: Add a framepositionner element used in ges-smart-mixer and ges-uri-source
	  It adds metadata on the buffers and the mixer parses them.
	  This is done because we want to keep positionning properties
	  and set them on the dynamic mixer pad.
	  Conflicts:
	  ges/Makefile.am

2013-05-30 06:05:48 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/mixers.c:
	  tests: Add a audio/video mixing test.

2013-05-30 06:04:47 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-video-track.c:
	  video-track: "implement" get_mixing_element.

2013-05-29 18:48:42 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/Makefile.am:
	* ges/ges-smart-video-mixer.c:
	* ges/ges-smart-video-mixer.h:
	* ges/ges-video-track.h:
	  ges-smart-mixer: first code dump, mainly copy paste from ges-smart-adder.

2013-04-30 19:19:39 +0200  Simon Corsin <simoncorsin@gmail.com>

	* ges/ges-layer.c:
	  ges-layer.c: notify priority changes.

2013-05-16 09:40:22 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-uri-source.c:
	  ges-uri-source: Refactoring work.
	  + Categorize functions (Callbacks, vmethods)
	  + make more generic functions for the creation of the bin.

2013-05-16 08:10:35 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-base-effect.c:
	* ges/ges-uri-source.c:
	* ges/ges-utils.c:
	* ges/ges-utils.h:
	  uri-source: Expose the volume property.
	  + Make the pspec_hash function an internal util.
	  + Add a create_props_hashtable implementation
	  + If TRACK_TYPE_AUDIO, put the volume properties in the hashtable.

2013-05-16 04:22:16 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-uri-source.c:
	* ges/ges-uri-source.h:
	  uri-source: when creating the audio element, set the volume to the layr volume when necessary.

2013-05-16 03:27:20 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-uri-source.c:
	  ges-uri-source: don't use gnlurisource but a custom bin.
	  + This bin is a uridecodebin when GES_TRACK_TYPE_VIDEO
	  + This bin contains a uridecodebin and a volume when GES_TRACK_TYPE_AUDIO

2013-05-15 18:59:10 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-smart-adder.c:
	  smart-adder: remove volume from the bin, which quite simplifies the code.
	  + Don't be too smart, adder.

2013-03-31 00:08:15 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/Makefile.am:
	* ges/ges-audio-track.c:
	* ges/ges-audio-track.h:
	* ges/ges-smart-adder.c:
	* ges/ges-smart-adder.h:
	* ges/ges-track.c:
	* tests/check/Makefile.am:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/mixers.c:
	  smart-adder: Implement a GESSmartAdder bin element to be used as mixing element
	  ..in audio tracks

2013-04-22 00:21:58 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-layer.c:
	* ges/ges-meta-container.h:
	* tests/check/ges/layer.c:
	  meta-container: Add a VOLUME default meta to layers

2013-03-31 12:34:58 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-custom-source-clip.c:
	  ges: Misc documentation fixes

2013-03-30 19:02:52 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	* ges/ges-track.h:
	  track: Implement infrastructure for mixing

2013-03-30 19:01:26 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	  track-element: Set a reference to the GESTrackElement on the GnlObjects using qdata

2013-03-29 19:23:00 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-auto-transition.c:
	* ges/ges-clip.c:
	* ges/ges-internal.h:
	* ges/ges-layer.c:
	* ges/ges-simple-layer.c:
	* ges/ges-timeline.c:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	  ges: Make space in the GESTracks to be able to add mixing elements later
	  And update the tests

2013-03-29 19:04:54 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/effects.c:
	  tests:effects: Make use of normal layers, and enhance tests

2013-03-29 18:56:31 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-layer.c:
	  layer: Fix some mix up in variable names

2013-03-29 18:55:27 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-layer.c:
	  layer: Simplify a bit how we handle priorities

2013-03-29 18:53:25 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	  timeline-element: Make it possible to reset the timeline property to NULL
	  + Add some debug symbol

2013-03-28 18:51:45 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/Makefile.am:
	* ges/ges-audio-track.c:
	* ges/ges-audio-track.h:
	* ges/ges-pitivi-formatter.c:
	* ges/ges-track.c:
	* ges/ges-track.h:
	* ges/ges-types.h:
	* ges/ges-utils.c:
	* ges/ges-video-track.c:
	* ges/ges-video-track.h:
	* ges/ges.h:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	* tests/examples/ges-ui.c:
	* tests/examples/overlays.c:
	* tests/examples/simple1.c:
	* tests/examples/test2.c:
	* tests/examples/test3.c:
	* tests/examples/test4.c:
	* tests/examples/text_properties.c:
	* tests/examples/thumbnails.c:
	* tests/examples/transition.c:
	* tools/ges-launch.c:
	  ges: Implement GESAudioTrack and GESVideoTrack, subclasses of GESTrack

2013-06-16 21:47:52 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Report position while playing back
	  Giving more feedbacks to the user

2013-06-16 19:10:18 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Remove xptv formatter related code
	  It is not usefull anymore

2013-06-15 22:13:20 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Properly add UriClipAssets to the project

2013-06-09 12:29:05 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-project.c:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* ges/ges-track.h:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	* tools/ges-launch.c:
	  ges: Port to the new commit based API in GNL
	  The GNL API changed to go from a model where user could
	  enable/disable updates in the composition, which leaded to races
	  in many places, to a model where any positioning change in the
	  composition is not directly done but 'cached' and then the user
	  has to commit those changes so they become effective in the media
	  processing stack.
	  The new API in GES is pretty similare and is basically copy
	  pasting this new design.
	  We still need to see if in some context it would make sense to add
	  a mode where we would commit any changes ourself at the end of our
	  operation for basic use cases.
	  Removed APIs:
	  ges_timeline_enable_update
	  ges_timeline_is_updating
	  ges_track_enable_update
	  ges_track_is_updating
	  New APIs:
	  ges_track_commit
	  ges_timeline_commit

2013-06-20 14:23:26 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-project.c:
	  timeline: fix segfaults
	  don't call the timeline update, when the reference is invalid
	  https://bugzilla.gnome.org/show_bug.cgi?id=702605

2013-06-18 13:32:38 +0100  Tim-Philipp Müller <tim@centricular.net>

	* autogen.sh:
	* common:
	  autogen.sh: generate from common module, fixing srcdir != builddir build
	  https://bugzilla.gnome.org/show_bug.cgi?id=702424

2013-06-18 13:14:48 +0100  Tim-Philipp Müller <tim@centricular.net>

	* gst-editing-services.doap:
	  Add .doap file
	  Needed for common/update-autogen, but generally not a bad idea.

2013-04-30 19:16:10 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-uri-asset.c:
	  ges-uri-asset.c: Fix ges_uri_asset_request_sync annotations.

2013-06-12 11:32:16 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-formatter.c:
	* ges/ges-project.c:
	  project: Disable update in the project rather than the formatter
	  We need to make sure the update are disabled until the project is fully
	  loaded, let the responsability to the project instead of the formatter

2013-06-12 11:09:13 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Sync track enable_update property with parent
	  When we add a track to a timeline, we want it "enable update" property
	  to be set to the timeline's

2013-06-12 10:48:03 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Make use of assets for uri clips
	  It avoids races in TrackElement creations.
	  We should make use of assets everywhere in ges-launch but start using
	  them for uriclips first for now.

2013-06-05 15:18:36 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 098c0d7 to 01a7a46

2013-05-30 11:40:36 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/uriclip.c:
	  tests: Pass a ref of CAPS_ANY to ges_track_new

2013-05-29 16:48:03 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/basic.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	  tests: Add a basic test for pipeline state change
	  Add some test utils to create a pipeline

2013-05-29 14:05:52 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	* ges/ges-timeline.c:
	  ges: Protect from Gst dynamic callbacks
	  The pad-added and no-more-pad signal can be emited from any thread
	  so we have to protect our code from that

2013-05-23 15:52:35 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	* tests/check/ges/backgroundsource.c:
	  track: Update all gaps when timeline duration changed
	  And add a unit test to check that a gap is created in empty tracks

2013-05-23 13:16:22 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-uri-asset.c:
	* ges/ges-uri-asset.h:
	* ges/ges-uri-source.c:
	* ges/ges-uri-source.h:
	* tests/check/ges/uriclip.c:
	  Finish renaming filesource to urisource

2013-05-23 11:57:42 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	  track: Update gaps when we set the timeline

2013-05-28 08:51:08 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ges/ges-pitivi-formatter.c:
	  ges-pitivi-formatter: Remove some unneeded includes and clean up includes
	  Fixes the build on Windows, where there's no unistd.h... which wasn't
	  needed at all.
	  https://bugzilla.gnome.org/show_bug.cgi?id=701115

2013-05-27 22:10:03 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/asset.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/project.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	  tests: Use the gst_check_run_suite helper everywhere
	  Using GST_CHECK_MAIN where appropriate
	  This way it is possible to specify an XML file to store tests results in

2013-05-15 10:55:22 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5edcd85 to 098c0d7

2013-03-05 17:09:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* .gitignore:
	  Update gitignore

2013-03-05 17:07:29 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ges/Makefile.am:
	* ges/ges-asset.h:
	* ges/ges-internal-enums.h:
	  GESAssetLoadingReturn cannot be internal
	  The enumeration is referenced in a public API.

2013-05-05 11:13:24 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Avoid corruption of our list of children while ungrouping

2013-04-24 15:25:20 +0300  Anton Belka <antonbelka@gmail.com>

	* tests/check/Makefile.am:
	* tests/check/ges/project.c:
	* tests/check/ges/test-auto-transition.xges:
	  tests: add project auto-transition test

2013-04-24 15:23:44 +0300  Anton Belka <antonbelka@gmail.com>

	* tests/check/ges/layer.c:
	  tests: add timeline auto-transition test

2013-04-24 15:18:01 +0300  Anton Belka <antonbelka@gmail.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	  timeline: add auto-transition
	  API:
	  ges_timeline_get_auto_transition
	  ges_timeline_set_auto_transition
	  GESTimeline::auto-transition

2013-04-30 18:26:57 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	  basexmlformatter: Do not allow empty file loading

2013-04-27 03:45:29 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-video-test-source.c:
	  video-test-src: Force video/x-raw
	  Avoiding to hit errors with video/x-bayer

2013-04-21 21:35:22 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-audio-transition.c:
	  audiotransition: Add a resampler in the audio transition bin

2013-04-21 19:21:14 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-audio-transition.c:
	  audiotransition: Fix porting error of the interpollator
	  + update debug statements s/LOG/INFO
	  (acontrolsource != bcontrolsource)

2013-04-27 03:44:40 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-audio-test-source.c:
	* ges/ges-test-clip.c:
	* ges/ges-video-test-source.c:
	* tests/check/ges/backgroundsource.c:
	  test-clip: Do not set black/silent by default

2013-04-24 03:50:40 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-video-transition.c:
	  replace query_caps with get_current_caps. don't check for unused gnlobject.

2013-04-23 20:04:04 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* android/ges.mk:
	* bindings/python/examples/material.py:
	* bindings/python/examples/simple.py:
	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* docs/libs/ges.types:
	* ges/Makefile.am:
	* ges/ges-auto-transition.c:
	* ges/ges-auto-transition.h:
	* ges/ges-base-effect-clip.c:
	* ges/ges-base-effect.c:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-clip.c:
	* ges/ges-clip.h:
	* ges/ges-container.c:
	* ges/ges-effect-clip.c:
	* ges/ges-effect.c:
	* ges/ges-internal.h:
	* ges/ges-layer.c:
	* ges/ges-layer.h:
	* ges/ges-operation-clip.c:
	* ges/ges-overlay-clip.c:
	* ges/ges-pitivi-formatter.c:
	* ges/ges-simple-layer.c:
	* ges/ges-simple-layer.h:
	* ges/ges-simple-timeline-layer.c:
	* ges/ges-simple-timeline-layer.h:
	* ges/ges-source-clip.c:
	* ges/ges-source-clip.h:
	* ges/ges-test-clip.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-timeline-layer.c:
	* ges/ges-timeline-layer.h:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* ges/ges-title-clip.c:
	* ges/ges-title-clip.h:
	* ges/ges-track-element.c:
	* ges/ges-transition-clip.c:
	* ges/ges-types.h:
	* ges/ges-utils.c:
	* ges/ges-xml-formatter.c:
	* ges/ges.h:
	* tests/benchmarks/timeline.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/project.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tests/examples/overlays.c:
	* tests/examples/simple1.c:
	* tests/examples/test1.c:
	* tests/examples/test2.c:
	* tests/examples/test3.c:
	* tests/examples/test4.c:
	* tests/examples/text_properties.c:
	* tests/examples/thumbnails.c:
	* tests/examples/transition.c:
	* tools/ges-launch.c:
	  Rename GESTimelineLayer to GESLayer

2013-04-23 19:57:44 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-timeline-layer.c:
	* ges/ges-timeline-layer.h:
	* ges/ges-timeline.c:
	* ges/ges-xml-formatter.c:
	* tests/benchmarks/timeline.c:
	* tests/check/ges/clip.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/uriclip.c:
	* tests/examples/test1.c:
	  layer: Remove the "rate" property of ges_timeline_layer_add_asset
	  API:
	  - ges_timeline_layer_add_asset (layer, asset,  start,  inpoint, duration, rate, track_types);
	  + ges_timeline_layer_add_asset (layer, asset,  start,  inpoint, duration, track_types);

2013-04-23 22:38:23 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-track-element.c:
	  trackelement: asynchronously add bindings if the track-element is not in a track yet.
	  Also fix annotations.

2013-04-22 17:34:09 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-formatter.c:
	* ges/ges-formatter.h:
	* ges/ges-pitivi-formatter.c:
	  formatter: Pass a dummy instance of formatter to virtual method
	  Instead of passing the class itself

2013-04-22 23:56:03 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 3cb3d3c to 5edcd85

2013-04-22 09:41:26 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-xml-formatter.c:
	  Fix compilation

2013-04-21 21:29:29 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-xml-formatter.c:
	  xml-formatter: Use G_GUINT64_FORMAT where needed

2013-04-21 21:13:00 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-uri-asset.c:
	* ges/ges-uri-asset.h:
	  uri-clip-asset: Add "_class_" to a class method
	  API CHANGE:
	  - ges_uri_clip_asset_set_timeout
	  + ges_uri_clip_asset_class_set_timeout

2013-04-21 21:11:52 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	* ges/ges-xml-formatter.c:
	  ges: Fix compilation with clang

2013-04-19 19:58:21 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	  project: Accept NULL as a valid value for @id in _create_asset

2013-04-18 18:41:02 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/clip.c:
	  tests: Check splitting a clip with several TrackElement

2013-04-18 21:45:18 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Rework the splitting method
	  + Avoid setting clip duration of our parent ourself
	  Now each and every TrackElement inside a clip have the same
	  start/inpoint/duration

2013-04-18 18:59:52 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	  ges: Fix compilation

2013-04-18 18:37:17 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	  pipeline: Add API guards where needed

2013-04-17 16:51:30 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	* ges/ges-timeline-pipeline.h:
	* tests/examples/thumbnails.c:
	* tools/ges-launch.c:
	  pipeline: Add a GError argument

2013-04-17 16:48:05 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	  pipeline: Return FALSE in save_thumbnail when the operation fails

2013-04-15 01:30:10 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* tests/check/ges/timelineedition.c:
	  tests:timelineedition: Add a simple trimming test

2013-04-14 23:19:02 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: The TimelineElement.inpoint property is call "in-point" not inpoint

2013-03-22 19:44:28 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.c:
	* ges/ges-timeline.c:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	  ges-clip: Remove the unlocked TrackElement APIs
	  Remove APIs:
	  ges_track_element_set_locked
	  ges_track_element_is_locked
	  Those APIs where really not nice to use and were causing more issues
	  than solving them. If 2 time related properties of TimelineElement must
	  be different, then those element can *not* have the same parent.
	  Plus, with the new ges_container_group () API, we will recreate 1
	  GESClip containing the proper GESTimelineElements if it is the thing
	  to do.

2013-03-22 19:34:14 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pitivi-formatter.c:
	  pitivi-formatter: Remove broken code to handle unlocked track object
	  WARNING: The plan is to remove unlocked track object APIs so this is
	  the first part of that process... that code was already broken, and
	  *needs* to be fixed anyway, better do it using new APIs

2013-03-22 18:43:30 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pitivi-formatter.c:
	  pitivi-formatter: Remove saving code

2013-04-14 17:58:38 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From aed87ae to 3cb3d3c

2013-04-09 21:03:03 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 04c7a1e to aed87ae

2013-04-09 00:02:14 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	* ges/ges-timeline.c:
	  timeline: call sync_state_with_parent when adding a child

2013-03-31 16:07:14 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* tests/check/ges/project.c:
	  track-element: Rename set_property_controlling_parameters set_control_source
	  + Generate the documentation

2013-03-30 18:54:50 +0100  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ges/ges-base-xml-formatter.c:
	* ges/ges-internal.h:
	* ges/ges-track-element.c:
	* ges/ges-track-element.h:
	* ges/ges-xml-formatter.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-keyframes.xges:
	  [Keyframes] Adds API to set a control binding on a track element, and the serialization code.

2013-03-30 15:40:38 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-pitivi-formatter.c:
	* ges/ges-timeline-layer.c:
	  Changing remaining clip::track-element-added to container::child-added

2013-03-30 14:35:45 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	  pipeline: Implement the video overlay interface

2013-03-30 13:37:43 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tools/ges-launch.c:
	  ges-launch: Do no create "normal" timeline when you load a project

2013-03-30 13:34:56 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-pipeline.c:
	  timeline-pipeline: Enhance API guards

2013-03-30 13:34:36 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Do no unref the timeline before returning it

2013-03-30 12:30:47 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: s/get_priorty_range/get_priority_range/

2013-03-29 15:50:12 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Comment some variables goals

2013-03-28 19:00:25 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/effects.c:
	  tests:effect: Do not re-add effect to the track

2013-03-24 18:42:55 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* tests/check/ges/simplelayer.c:
	  container: Let subclasses handle the height
	  + Fix tests (starting using GESTestClip instead of GESCustomClip)
	  Now the height is not only growing, but can also go down, as the value
	  is just simply computed
	  API:
	  GESContainer::compute_height virtual method

2013-03-23 09:46:38 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	  container: Properly implement ges_container_group

2013-03-23 08:48:43 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/ges/basic.c:
	  test:basic: Do not add useless references, and minor improvements

2013-03-23 08:45:00 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	  clip: Emit notify signal when setting Clip.layer

2013-03-23 08:14:55 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline.c:
	  timeline: Remove TrackElement from its container on GESTimelineLayer::"clip-removed"
	  .... when the Track is NULL

2013-03-23 03:27:46 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	* tests/check/ges/clip.c:
	  container: Make sure that the child exists when emiting the "child-removed" signal
	  + Add a test

2013-03-23 03:26:33 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-container.h:
	* ges/ges-internal.h:
	  container: Replace ignore_notify by a GESChildrenControlMode flag

2013-03-23 01:35:02 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	  container: Stop ignoring notifies if ->add_child fails

2013-03-23 01:33:39 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-container.c:
	* ges/ges-internal.h:
	* ges/ges-utils.c:
	  internal: Add a element_end_compare

2013-03-23 01:31:23 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-timeline-element.h:
	  timeline-element: Add a macro to get element 'end'

2013-03-22 17:39:04 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-asset.c:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-gerror.h:
	* ges/ges-uri-asset.c:
	  ges: Keep ges-gerror categories simple.

2013-03-21 22:17:10 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-element.c:
	* ges/ges-uri-asset.h:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/uriclip.c:
	  Misc cleaning

2013-03-21 22:12:47 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-internal.h:
	* ges/ges-track-element.h:
	  track-element: Make ges_track_element_set_track internal
	  Removed API:
	  + ges_track_element_set_track

2013-03-21 22:03:09 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.h:
	* ges/ges-internal.h:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	  ges: Make ges_clip_create_track_element(s) internal methods
	  + Fix tests (we still need a round of modernisation, making use of
	  assets where it makes sense)
	  There is no reason to use those method outside of GES, so remove them,
	  cleaning the API and making it easier for users.
	  Removed APIs:
	  -----------
	  * ges_clip_create_track_element
	  * ges_clip_create_track_elements

2013-03-21 21:42:31 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* tests/check/Makefile.am:
	* tests/check/ges/image.png:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/test-utils.h:
	* tests/check/ges/uriclip.c:
	  tests::uriclip: Use a real file to test still images
	  + Make use of GESAssets
	  And do proper refactoring

2013-03-19 21:07:58 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-uri-asset.c:
	  uri-asset: Properly handle images and do not duplicate the TrackType

2013-03-19 19:49:09 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-asset.c:
	* ges/ges-uri-asset.c:
	* ges/ges-uri-asset.h:
	* tests/check/ges/uriclip.c:
	  uri-asset: Implement a ges_uri_clip_asset_request_sync method
	  This way we let the possibility to the user to actually do it, but we avoid him to do it
	  without knowing it is absolutely not recommanded to.
	  API:
	  + ges_uri_clip_asset_request_sync

2013-03-18 12:41:06 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-docs.sgml:
	* docs/libs/ges-sections.txt:
	* ges/Makefile.am:
	* ges/ges-asset.c:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-gerror.h:
	* ges/ges.h:
	  Start categorizing GError types in GES

2013-03-18 10:03:19 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-timeline-element.c:
	  timeline-element: Do not give a reference to the calles of g_object_get_property
	  ... for both the "parent" and the "timeline" properties
	  Making things simpler to handle for the copy method.

2013-03-18 10:02:10 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* tests/check/ges/clip.c:
	  clip: Make it mandatory that a clip is in a layer to be splittable
	  Otherwize we will not be able to describe if the returned object has a floating reference or not, and this would screw the introspection.

2013-03-18 09:49:18 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-project.c:
	* ges/ges-timeline-layer.c:
	* ges/ges-timeline.c:
	* ges/ges-track.c:
	  Use gst_object_ref_sink instead of g_object_ref_sink when appropriate
	  Making refcount issue debugging simpler

2013-03-16 19:05:04 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-asset.c:
	* ges/ges-base-xml-formatter.c:
	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-pitivi-formatter.c:
	* ges/ges-project.c:
	* ges/ges-simple-timeline-layer.c:
	* ges/ges-test-clip.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-timeline-layer.c:
	* ges/ges-timeline-pipeline.c:
	* ges/ges-timeline.c:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* ges/ges-transition-clip.c:
	* ges/ges-uri-asset.c:
	* ges/ges-utils.c:
	* tests/check/ges/backgroundsource.c:
	* tests/check/ges/basic.c:
	* tests/check/ges/effects.c:
	* tests/check/ges/layer.c:
	* tests/check/ges/overlays.c:
	* tests/check/ges/simplelayer.c:
	* tests/check/ges/test-utils.c:
	* tests/check/ges/text_properties.c:
	* tests/check/ges/timelineedition.c:
	* tests/check/ges/titles.c:
	* tests/check/ges/transition.c:
	* tests/check/ges/uriclip.c:
	* tests/examples/assets.c:
	* tests/examples/concatenate.c:
	* tests/examples/ges-ui.c:
	* tools/ges-launch.c:
	  Always prefer gst_object_(un)ref over g_object_(un)ref
	  Making the refcount issue debugging easier

2013-03-15 12:01:58 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.h:
	* ges/ges-internal.h:
	  clip: Make set/is_moving_from_layer internal

2013-03-15 11:58:59 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* docs/libs/ges-sections.txt:
	* ges/ges-clip.h:
	* ges/ges-internal.h:
	  clip: Reindent header and make ges_clip_set_layer internal

2013-03-15 11:32:48 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-track.c:
	* ges/ges-track.h:
	  track: Cleanup header and add a FIXME

2013-03-15 00:01:47 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-timeline.c:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* tests/check/ges/basic.c:
	  Remove GESTrackElements from GESTracks when removing from a GESClip
	  ... Not the other way round.
	  + Add and enhance debugging info on the way
	  The user should not be responsible for removing the GESTrackElements from
	  GESTracks, instead, removing it from a GESClip should imply removing
	  it from any GESTrack it is in.
	  This patch changes sensibly the behaviour when we remove a
